SystemProperties (Apache Commons Lang 3.20.0 API)
Description: declaration: package: org.apache.commons.lang3, class: SystemProperties

# Class SystemProperties

java.lang.Object
org.apache.commons.lang3.SystemProperties

public final class SystemProperties extends Object
Accesses current System Property names and values.

Since:
  3.13.0
See Also:
  - System Properties

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `APPLE_AWT_ENABLE_TEMPLATE_IMAGES`
  The System property name "apple.awt.enableTemplateImages".
  `static final String`
  `AWT_TOOLKIT`
  Deprecated.
  Deprecated without replacement.
  `static final String`
  `COM_SUN_JNDI_LDAP_OBJECT_TRUST_SERIAL_DATA`
  The System property name "com.sun.jndi.ldap.object.trustSerialData".
  `static final String`
  `COM_SUN_NET_HTTP_SERVER_HTTP_SERVER_PROVIDER`
  The System property name "com.sun.net.httpserver.HttpServerProvider".
  `static final String`
  `FILE_ENCODING`
  The System property name "file.encoding".
  `static final String`
  `FILE_SEPARATOR`
  The System property name "file.separator".
  `static final String`
  `FTP_NON_PROXY_HOST`
  The System property name "ftp.nonProxyHosts".
  `static final String`
  `FTP_PROXY_HOST`
  The System property name "ftp.proxyHost".
  `static final String`
  `FTP_PROXY_PORT`
  The System property name "ftp.proxyPort".
  `static final String`
  `HTTP_AGENT`
  The System property name "http.agent".
  `static final String`
  `HTTP_AUTH_DIGEST_CNONCE_REPEAT`
  The System property name "http.auth.digest.cnonceRepeat".
  `static final String`
  `HTTP_AUTH_DIGEST_RE_ENABLED_ALGORITHMS`
  The System property name "http.auth.digest.reEnabledAlgorithms".
  `static final String`
  `HTTP_AUTH_DIGEST_VALIDATE_PROXY`
  The System property name "http.auth.digest.validateProxy".
  `static final String`
  `HTTP_AUTH_DIGEST_VALIDATE_SERVER`
  The System property name "http.auth.digest.validateServer".
  `static final String`
  `HTTP_AUTH_NTLM_DOMAIN`
  The System property name "http.auth.ntlm.domain".
  `static final String`
  `HTTP_KEEP_ALIVE`
  The System property name "http.keepAlive".
  `static final String`
  `HTTP_KEEP_ALIVE_TIME_PROXY`
  The System property name "http.keepAlive.time.proxy".
  `static final String`
  `HTTP_KEEP_ALIVE_TIME_SERVER`
  The System property name "http.keepAlive.time.server".
  `static final String`
  `HTTP_MAX_CONNECTIONS`
  The System property name "http.maxConnections".
  `static final String`
  `HTTP_MAX_REDIRECTS`
  The System property name "http.maxRedirects".
  `static final String`
  `HTTP_NON_PROXY_HOSTS`
  The System property name "http.nonProxyHosts".
  `static final String`
  `HTTP_PROXY_HOST`
  The System property name "http.proxyHost".
  `static final String`
  `HTTP_PROXY_PORT`
  The System property name "http.proxyPort".
  `static final String`
  `HTTPS_PROXY_HOST`
  The System property name "https.proxyHost".
  `static final String`
  `HTTPS_PROXY_PORT`
  The System property name "https.proxyPort".
  `static final String`
  `JAVA_AWT_FONTS`
  Deprecated.
  Deprecated without replacement.
  `static final String`
  `JAVA_AWT_GRAPHICSENV`
  Deprecated.
  Deprecated without replacement.
  `static final String`
  `JAVA_AWT_HEADLESS`
  Deprecated.
  Deprecated without replacement.
  `static final String`
  `JAVA_AWT_PRINTERJOB`
  Deprecated.
  Deprecated without replacement.
  `static final String`
  `JAVA_CLASS_PATH`
  The System property name "java.class.path".
  `static final String`
  `JAVA_CLASS_VERSION`
  The System property name "java.class.version".
  `static final String`
  `JAVA_COMPILER`
  Deprecated.
  Deprecated without replacement.
  `static final String`
  `JAVA_CONTENT_HANDLER_PKGS`
  The System property name "java.content.handler.pkgs".
  `static final String`
  `JAVA_ENDORSED_DIRS`
  Deprecated.
  Deprecated without replacement.
  `static final String`
  `JAVA_EXT_DIRS`
  Deprecated.
  Deprecated without replacement.
  `static final String`
  `JAVA_HOME`
  The System property name "java.home".
  `static final String`
  `JAVA_IO_TMPDIR`
  The System property name "java.io.tmpdir".
  `static final String`
  `JAVA_LIBRARY_PATH`
  The System property name "java.library.path".
  `static final String`
  `JAVA_LOCALE_PROVIDERS`
  The System property name "java.locale.providers".
  `static final String`
  `JAVA_LOCALE_USE_OLD_ISO_CODES`
  The System property name "java.locale.useOldISOCodes".
  `static final String`
  `JAVA_NET_PREFER_IPV4_STACK`
  The System property name "java.net.preferIPv4Stack".
  `static final String`
  `JAVA_NET_PREFER_IPV6_ADDRESSES`
  The System property name "java.net.preferIPv6Addresses".
  `static final String`
  `JAVA_NET_SOCKS_PASSWORD`
  The System property name "java.net.socks.password".
  `static final String`
  `JAVA_NET_SOCKS_USER_NAME`
  The System property name "java.net.socks.username".
  `static final String`
  `JAVA_NET_USE_SYSTEM_PROXIES`
  The System property name "java.net.useSystemProxies".
  `static final String`
  `JAVA_NIO_CHANNELS_DEFAULT_THREAD_POOL_INITIAL_SIZE`
  The System property name "java.nio.channels.DefaultThreadPool.initialSize".
  `static final String`
  `JAVA_NIO_CHANNELS_DEFAULT_THREAD_POOL_THREAD_FACTORY`
  The System property name "java.nio.channels.DefaultThreadPool.threadFactory".
  `static final String`
  `JAVA_NIO_CHANNELS_SPI_ASYNCHRONOUS_CHANNEL_PROVIDER`
  The System property name "java.nio.channels.spi.AsynchronousChannelProvider".
  `static final String`
  `JAVA_NIO_CHANNELS_SPI_SELECTOR_PROVIDER`
  The System property name "java.nio.channels.spi.SelectorProvider".
  `static final String`
  `JAVA_NIO_FILE_SPI_DEFAULT_FILE_SYSTEM_PROVIDER`
  The System property name "java.nio.file.spi.DefaultFileSystemProvider".
  `static final String`
  `JAVA_PROPERTIES_DATE`
  The System property name "java.properties.date".
  `static final String`
  `JAVA_PROTOCOL_HANDLER_PKGS`
  The System property name "java.protocol.handler.pkgs".
  `static final String`
  `JAVA_RMI_SERVER_CODEBASE`
  The System property name "java.rmi.server.codebase".
  `static final String`
  `JAVA_RMI_SERVER_HOST_NAME`
  The System property name "java.rmi.server.hostname".
  `static final String`
  `JAVA_RMI_SERVER_RANDOM_IDS`
  The System property name "java.rmi.server.randomIDs".
  `static final String`
  `JAVA_RMI_SERVER_RMI_CLASS_LOADER_SPI`
  The System property name "java.rmi.server.RMIClassLoaderSpi".
  `static final String`
  `JAVA_RUNTIME_NAME`
  The System property name "java.runtime.name".
  `static final String`
  `JAVA_RUNTIME_VERSION`
  The System property name "java.runtime.version".
  `static final String`
  `JAVA_SECURITY_AUTH_LOGIN_CONFIG`
  The System property name "java.security.auth.login.config".
  `static final String`
  `JAVA_SECURITY_DEBUG`
  The System property name "java.security.debug".
  `static final String`
  `JAVA_SECURITY_KERBEROS_CONF`
  The System property name "java.security.krb5.conf".
  `static final String`
  `JAVA_SECURITY_KERBEROS_KDC`
  The System property name "java.security.krb5.kdc".
  `static final String`
  `JAVA_SECURITY_KERBEROS_REALM`
  The System property name "java.security.krb5.realm".
  `static final String`
  `JAVA_SECURITY_MANAGER`
  The System property name "java.security.manager".
  `static final String`
  `JAVA_SPECIFICATION_MAINTENANCE_VERSION`
  The System property name "java.specification.maintenance.version".
  `static final String`
  `JAVA_SPECIFICATION_NAME`
  The System property name "java.specification.name".
  `static final String`
  `JAVA_SPECIFICATION_VENDOR`
  The System property name "java.specification.vendor".
  `static final String`
  `JAVA_SPECIFICATION_VERSION`
  The System property name "java.specification.version".
  `static final String`
  `JAVA_SYSTEM_CLASS_LOADER`
  The System property name "java.system.class.loader".
  `static final String`
  `JAVA_TIME_ZONE_DEFAULT_ZONE_RULES_PROVIDER`
  The System property name "java.time.zone.DefaultZoneRulesProvider".
  `static final String`
  `JAVA_UTIL_CONCURRENT_FORK_JOIN_POOL_COMMON_EXCEPTION_HANDLER`
  The System property name "java.util.concurrent.ForkJoinPool.common.exceptionHandler".
  `static final String`
  `JAVA_UTIL_CONCURRENT_FORK_JOIN_POOL_COMMON_MAXIMUM_SPARES`
  The System property name "java.util.concurrent.ForkJoinPool.common.maximumSpares".
  `static final String`
  `JAVA_UTIL_CONCURRENT_FORK_JOIN_POOL_COMMON_PARALLELISM`
  The System property name "java.util.concurrent.ForkJoinPool.common.parallelism".
  `static final String`
  `JAVA_UTIL_CONCURRENT_FORK_JOIN_POOL_COMMON_THREAD_FACTORY`
  The System property name "java.util.concurrent.ForkJoinPool.common.threadFactory".
  `static final String`
  `JAVA_UTIL_CURRENCY_DATA`
  The System property name "java.util.currency.data".
  `static final String`
  `JAVA_UTIL_LOGGING_CONFIG_CLASS`
  The System property name "java.util.logging.config.class".
  `static final String`
  `JAVA_UTIL_LOGGING_CONFIG_FILE`
  The System property name "java.util.logging.config.file".
  `static final String`
  `JAVA_UTIL_LOGGING_SIMPLE_FORMATTER_FORMAT`
  The System property name "java.util.logging.simpleformatter.format".
  `static final String`
  `JAVA_UTIL_PREFS_PREFERENCES_FACTORY`
  The System property name "java.util.prefs.PreferencesFactory".
  `static final String`
  `JAVA_UTIL_PROPERTY_RESOURCE_BUNDLE_ENCODING`
  The System property name "java.util.PropertyResourceBundle.encoding".
  `static final String`
  `JAVA_VENDOR`
  The System property name "java.vendor".
  `static final String`
  `JAVA_VENDOR_URL`
  The System property name "java.vendor.url".
  `static final String`
  `JAVA_VENDOR_VERSION`
  The System property name "java.vendor.version".
  `static final String`
  `JAVA_VERSION`
  The System property name "java.version".
  `static final String`
  `JAVA_VERSION_DATE`
  The System property name "java.version.date".
  `static final String`
  `JAVA_VM_INFO`
  The System property name "java.vm.info".
  `static final String`
  `JAVA_VM_NAME`
  The System property name "java.vm.name".
  `static final String`
  `JAVA_VM_SPECIFICATION_NAME`
  The System property name "java.vm.specification.name".
  `static final String`
  `JAVA_VM_SPECIFICATION_VENDOR`
  The System property name "java.vm.specification.vendor".
  `static final String`
  `JAVA_VM_SPECIFICATION_VERSION`
  The System property name "java.vm.specification.version".
  `static final String`
  `JAVA_VM_VENDOR`
  The System property name "java.vm.vendor".
  `static final String`
  `JAVA_VM_VERSION`
  The System property name "java.vm.version".
  `static final String`
  `JAVA_XML_CONFIG_FILE`
  The System property name "java.xml.config.file".
  `static final String`
  `JAVAX_ACCESSIBILITY_ASSISTIVE_TECHNOLOGIES`
  The System property name "javax.accessibility.assistive_technologies".
  `static final String`
  `JAVAX_NET_SSL_SESSION_CACHE_SIZE`
  The System property name "javax.net.ssl.sessionCacheSize".
  `static final String`
  `JAVAX_RMI_SSL_CLIENT_ENABLED_CIPHER_SUITES`
  The System property name "javax.rmi.ssl.client.enabledCipherSuites".
  `static final String`
  `JAVAX_RMI_SSL_CLIENT_ENABLED_PROTOCOLS`
  The System property name "javax.rmi.ssl.client.enabledProtocols".
  `static final String`
  `JAVAX_SECURITY_AUTH_USE_SUBJECT_CREDS_ONLY`
  The System property name "javax.security.auth.useSubjectCredsOnly".
  `static final String`
  `JAVAX_SMART_CARD_IO_TERMINAL_FACTORY_DEFAULT_TYPE`
  The System property name "javax.smartcardio.TerminalFactory.DefaultType".
  `static final String`
  `JDBC_DRIVERS`
  The System property name "jdbc.drivers".
  `static final String`
  `JDK_HTTP_AUTH_PROXYING_DISABLED_SCHEMES`
  The System property name "jdk.http.auth.proxying.disabledSchemes".
  `static final String`
  `JDK_HTTP_AUTH_TUNNELING_DISABLED_SCHEMES`
  The System property name "jdk.http.auth.tunneling.disabledSchemes".
  `static final String`
  `JDK_HTTP_CLIENT_ALLOW_RESTRICTED_HEADERS`
  The System property name "jdk.httpclient.allowRestrictedHeaders".
  `static final String`
  `JDK_HTTP_CLIENT_AUTH_RETRY_LIMIT`
  The System property name "jdk.httpclient.auth.retrylimit".
  `static final String`
  `JDK_HTTP_CLIENT_BUF_SIZE`
  The System property name "jdk.httpclient.bufsize".
  `static final String`
  `JDK_HTTP_CLIENT_CONNECTION_POOL_SIZE`
  The System property name "jdk.httpclient.connectionPoolSize".
  `static final String`
  `JDK_HTTP_CLIENT_CONNECTION_WINDOW_SIZE`
  The System property name "jdk.httpclient.connectionWindowSize".
  `static final String`
  `JDK_HTTP_CLIENT_DISABLE_RETRY_CONNECT`
  The System property name "jdk.httpclient.disableRetryConnect".
  `static final String`
  `JDK_HTTP_CLIENT_ENABLE_ALL_METHOD_RETRY`
  The System property name "jdk.httpclient.enableAllMethodRetry".
  `static final String`
  `JDK_HTTP_CLIENT_ENABLE_PUSH`
  The System property name "jdk.httpclient.enablepush".
  `static final String`
  `JDK_HTTP_CLIENT_HPACK_MAX_HEADER_TABLE_SIZE`
  The System property name "jdk.httpclient.hpack.maxheadertablesize".
  `static final String`
  `JDK_HTTP_CLIENT_HTTP_CLIENT_LOG`
  The System property name "jdk.httpclient.HttpClient.log".
  `static final String`
  `JDK_HTTP_CLIENT_KEEP_ALIVE_TIMEOUT`
  The System property name "jdk.httpclient.keepalive.timeout".
  `static final String`
  `JDK_HTTP_CLIENT_KEEP_ALIVE_TIMEOUT_H2`
  The System property name "jdk.httpclient.keepalive.timeout.h2".
  `static final String`
  `JDK_HTTP_CLIENT_MAX_FRAME_SIZE`
  The System property name "jdk.httpclient.maxframesize".
  `static final String`
  `JDK_HTTP_CLIENT_MAX_STREAMS`
  The System property name "jdk.httpclient.maxstreams".
  `static final String`
  `JDK_HTTP_CLIENT_RECEIVE_BUFFER_SIZE`
  The System property name "jdk.httpclient.receiveBufferSize".
  `static final String`
  `JDK_HTTP_CLIENT_REDIRECTS_RETRY_LIMIT`
  The System property name "jdk.httpclient.redirects.retrylimit".
  `static final String`
  `JDK_HTTP_CLIENT_SEND_BUFFER_SIZE`
  The System property name "jdk.httpclient.sendBufferSize".
  `static final String`
  `JDK_HTTP_CLIENT_WEB_SOCKET_WRITE_BUFFER_SIZE`
  The System property name "jdk.httpclient.websocket.writeBufferSize".
  `static final String`
  `JDK_HTTP_CLIENT_WINDOW_SIZE`
  The System property name "jdk.httpclient.windowsize".
  `static final String`
  `JDK_HTTP_SERVER_MAX_CONNECTIONS`
  The System property name "jdk.httpserver.maxConnections".
  `static final String`
  `JDK_HTTPS_NEGOTIATE_CBT`
  The System property name "jdk.https.negotiate.cbt".
  `static final String`
  `JDK_INCLUDE_IN_EXCEPTIONS`
  The System property name "jdk.includeInExceptions".
  `static final String`
  `JDK_INTERNAL_HTTP_CLIENT_DISABLE_HOST_NAME_VERIFICATION`
  The System property name "jdk.internal.httpclient.disableHostnameVerification".
  `static final String`
  `JDK_IO_PERMISSIONS_USE_CANONICAL_PATH`
  The System property name "jdk.io.permissionsUseCanonicalPath".
  `static final String`
  `JDK_JNDI_LDAP_OBJECT_FACTORIES_FILTER`
  The System property name "jdk.jndi.ldap.object.factoriesFilter".
  `static final String`
  `JDK_JNDI_OBJECT_FACTORIES_FILTER`
  The System property name "jdk.jndi.object.factoriesFilter".
  `static final String`
  `JDK_JNDI_RMI_OBJECT_FACTORIES_FILTER`
  The System property name "jdk.jndi.rmi.object.factoriesFilter".
  `static final String`
  `JDK_MODULE_MAIN`
  The System property name "jdk.module.main".
  `static final String`
  `JDK_MODULE_MAIN_CLASS`
  The System property name "jdk.module.main.class".
  `static final String`
  `JDK_MODULE_PATH`
  The System property name "jdk.module.path".
  `static final String`
  `JDK_MODULE_UPGRADE_PATH`
  The System property name "jdk.module.upgrade.path".
  `static final String`
  `JDK_NET_UNIX_DOMAIN_TMPDIR`
  The System property name "jdk.net.unixdomain.tmpdir".
  `static final String`
  `JDK_NET_URL_CLASS_PATH_SHOW_IGNORED_CLASS_PATH_ENTRIES`
  The System property name "jdk.net.URLClassPath.showIgnoredClassPathEntries".
  `static final String`
  `JDK_SERIAL_FILTER`
  The System property name "jdk.serialFilter".
  `static final String`
  `JDK_SERIAL_FILTER_FACTORY`
  The System property name "jdk.serialFilterFactory".
  `static final String`
  `JDK_TLS_CLIENT_SIGNATURE_SCHEMES`
  The System property name "jdk.tls.client.SignatureSchemes".
  `static final String`
  `JDK_TLS_NAMED_GROUPS`
  The System property name "jdk.tls.namedGroups".
  `static final String`
  `JDK_TLS_SERVER_SIGNATURE_SCHEMES`
  The System property name "jdk.tls.server.SignatureSchemes".
  `static final String`
  `JDK_VIRTUAL_THREAD_SCHEDULER_MAXPOOLSIZE`
  The System property name "jdk.virtualThreadScheduler.maxPoolSize".
  `static final String`
  `JDK_VIRTUAL_THREAD_SCHEDULER_PARALLELISM`
  The System property name "jdk.virtualThreadScheduler.parallelism".
  `static final String`
  `JDK_XML_CDATA_CHUNK_SIZE`
  The System property name "jdk.xml.cdataChunkSize".
  `static final String`
  `JDK_XML_DTD_SUPPORT`
  The System property name "jdk.xml.dtd.support".
  `static final String`
  `JDK_XML_ELEMENT_ATTRIBUTE_LIMIT`
  The System property name "jdk.xml.elementAttributeLimit".
  `static final String`
  `JDK_XML_ENABLE_EXTENSION_FUNCTIONS`
  The System property name "jdk.xml.enableExtensionFunctions".
  `static final String`
  `JDK_XML_ENTITY_EXPANSION_LIMIT`
  The System property name "jdk.xml.entityExpansionLimit".
  `static final String`
  `JDK_XML_ENTITY_REPLACEMENT_LIMIT`
  The System property name "jdk.xml.entityReplacementLimi_t".
  `static final String`
  `JDK_XML_IS_STANDALONE`
  The System property name "jdk.xml.isStandalone".
  `static final String`
  `JDK_XML_JDK_CATALOG_RESOLVE`
  The System property name "jdk.xml.jdkcatalog.resolve".
  `static final String`
  `JDK_XML_MAX_ELEMENT_DEPTH`
  The System property name "jdk.xml.maxElementDepth".
  `static final String`
  `JDK_XML_MAX_GENERAL_ENTITY_SIZE_LIMIT`
  The System property name "jdk.xml.maxGeneralEntitySizeLimit".
  `static final String`
  `JDK_XML_MAX_OCCUR_LIMIT`
  The System property name "jdk.xml.maxOccurLimit".
  `static final String`
  `JDK_XML_MAX_PARAMETER_ENTITY_SIZE_LIMIT`
  The System property name "jdk.xml.maxParameterEntitySizeLimit".
  `static final String`
  `JDK_XML_MAX_XML_NAME_LIMIT`
  The System property name "jdk.xml.maxXMLNameLimit".
  `static final String`
  `JDK_XML_OVERRIDE_DEFAULT_PARSER`
  The System property name "jdk.xml.overrideDefaultParser".
  `static final String`
  `JDK_XML_RESET_SYMBOL_TABLE`
  The System property name "jdk.xml.resetSymbolTable".
  `static final String`
  `JDK_XML_TOTAL_ENTITY_SIZE_LIMIT`
  The System property name "jdk.xml.totalEntitySizeLimit".
  `static final String`
  `JDK_XML_XSLTC_IS_STANDALONE`
  The System property name "jdk.xml.xsltcIsStandalone".
  `static final String`
  `LINE_SEPARATOR`
  The System property name "line.separator".
  `static final String`
  `NATIVE_ENCODING`
  The System property name "native.encoding".
  `static final String`
  `NETWORK_ADDRESS_CACHE_NEGATIVE_TTL`
  The System property name "networkaddress.cache.negative.ttl".
  `static final String`
  `NETWORK_ADDRESS_CACHE_STALE_TTL`
  The System property name "networkaddress.cache.stale.ttl".
  `static final String`
  `NETWORK_ADDRESS_CACHE_TTL`
  The System property name "networkaddress.cache.ttl".
  `static final String`
  `ORG_JCP_XML_DSIG_SECURE_VALIDATION`
  The System property name "org.jcp.xml.dsig.securevalidation".
  `static final String`
  `ORG_OPENJDK_JAVA_UTIL_STREAM_TRIPWIRE`
  The System property name "org.openjdk.java.util.stream.tripwire".
  `static final String`
  `OS_ARCH`
  The System property name "os.arch".
  `static final String`
  `OS_NAME`
  The System property name "os.name".
  `static final String`
  `OS_VERSION`
  The System property name "os.version".
  `static final String`
  `PATH_SEPARATOR`
  The System property name "path.separator".
  `static final String`
  `SOCKS_PROXY_HOST`
  The System property name "socksProxyHost".
  `static final String`
  `SOCKS_PROXY_PORT`
  The System property name "socksProxyPort".
  `static final String`
  `SOCKS_PROXY_VERSION`
  The System property name "socksProxyVersion".
  `static final String`
  `STDERR_ENCODING`
  The System property name "stderr.encoding".
  `static final String`
  `STDOUT_ENCODING`
  The System property name "stdout.encoding".
  `static final String`
  `SUN_NET_HTTP_SERVER_DRAIN_AMOUNT`
  The System property name "sun.net.httpserver.drainAmount".
  `static final String`
  `SUN_NET_HTTP_SERVER_IDLE_INTERVAL`
  The System property name "sun.net.httpserver.idleInterval".
  `static final String`
  `SUN_NET_HTTP_SERVER_MAX_IDLE_CONNECTIONS`
  The System property name "sun.net.httpserver.maxIdleConnections".
  `static final String`
  `SUN_NET_HTTP_SERVER_MAX_REQ_HEADERS`
  The System property name "sun.net.httpserver.maxReqHeaders".
  `static final String`
  `SUN_NET_HTTP_SERVER_MAX_REQ_TIME`
  The System property name "sun.net.httpserver.maxReqTime".
  `static final String`
  `SUN_NET_HTTP_SERVER_MAX_RSP_TIME`
  The System property name "sun.net.httpserver.maxRspTime".
  `static final String`
  `SUN_NET_HTTP_SERVER_NO_DELAY`
  The System property name "sun.net.httpserver.nodelay".
  `static final String`
  `SUN_SECURITY_KRB5_PRINCIPAL`
  The System property name "sun.security.krb5.principal".
  `static final String`
  `USER_COUNTRY`
  The System property name "user.country".
  `static final String`
  `USER_DIR`
  The System property name "user.dir".
  `static final String`
  `USER_EXTENSIONS`
  The System property name "user.extensions".
  `static final String`
  `USER_HOME`
  The System property name "user.home".
  `static final String`
  `USER_LANGUAGE`
  The System property name "user.language".
  `static final String`
  `USER_NAME`
  The System property name "user.name".
  `static final String`
  `USER_REGION`
  The System property name "user.region".
  `static final String`
  `USER_SCRIPT`
  The System property name "user.script".
  `static final String`
  `USER_TIMEZONE`
  The System property name "user.timezone".
  `static final String`
  `USER_VARIANT`
  The System property name "user.variant".

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SystemProperties()`
  Deprecated.
  TODO Make private in 4.0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getAppleAwtEnableTemplateImages()`
  Gets the current value from the system properties map.
  `static String`
  `getAwtToolkit()`
  Deprecated.
  Deprecated without replacement.
  `static boolean`
  `getBoolean(Class<?> clazz, String key, BooleanSupplier defaultIfAbsent)`
  Gets the current value for the property named `"SimpleClassName.Key"` as a `boolean`.
  `static boolean`
  `getBoolean(String key, BooleanSupplier defaultIfAbsent)`
  Gets the current value for the property named `key` as a `boolean`.
  `static String`
  `getComSunJndiLdapObjectTrustSerialData()`
  Gets the current value from the system properties map.
  `static String`
  `getComSunNetHttpServerHttpServerProvider()`
  Gets the current value from the system properties map.
  `static String`
  `getFileEncoding()`
  Gets the current value from the system properties map.
  `static String`
  `getFileSeparator()`
  Gets the current value from the system properties map.
  `static String`
  `getFtpNonProxyHost()`
  Gets the current value from the system properties map.
  `static String`
  `getFtpProxyHost()`
  Gets the current value from the system properties map.
  `static String`
  `getFtpProxyPort()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpAgent()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpAuthDigestCnonceRepeat()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpAuthDigestReenabledAlgorithms()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpAuthDigestValidateProxy()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpAuthDigestValidateServer()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpAuthNtlmDomain()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpKeepAlive()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpKeepAliveTimeProxy()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpKeepAliveTimeServer()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpMaxConnections()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpMaxRedirects()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpNonProxyHosts()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpProxyHost()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpProxyPort()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpsProxyHost()`
  Gets the current value from the system properties map.
  `static String`
  `getHttpsProxyPort()`
  Gets the current value from the system properties map.
  `static int`
  `getInt(Class<?> clazz, String key, IntSupplier defaultIfAbsent)`
  Gets the current value for the property named `"SimpleClassName.Key"` as an `int`.
  `static int`
  `getInt(String key, IntSupplier defaultIfAbsent)`
  Gets the current value for the property named `key` as an `int`.
  `static String`
  `getJavaAwtFonts()`
  Deprecated.
  Deprecated without replacement.
  `static String`
  `getJavaAwtGraphicsenv()`
  Deprecated.
  Deprecated without replacement.
  `static String`
  `getJavaAwtHeadless()`
  Deprecated.
  Deprecated without replacement.
  `static String`
  `getJavaAwtPrinterjob()`
  Deprecated.
  Deprecated without replacement.
  `static String`
  `getJavaClassPath()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaClassVersion()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaCompiler()`
  Deprecated.
  Deprecated without replacement.
  `static String`
  `getJavaContentHandlerPkgs()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaEndorsedDirs()`
  Deprecated.
  Deprecated without replacement.
  `static String`
  `getJavaExtDirs()`
  Deprecated.
  Deprecated without replacement.
  `static String`
  `getJavaHome()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaIoTmpdir()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaLibraryPath()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaLocaleProviders()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaLocaleUseOldIsoCodes()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaNetPreferIpv4Stack()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaNetPreferIpv6Addresses()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaNetSocksPassword()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaNetSocksUserName()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaNetUseSystemProxies()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaNioChannelsDefaultThreadPoolInitialSize()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaNioChannelsDefaultThreadPoolThreadFactory()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaNioChannelsSpiAsynchronousChannelProvider()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaNioChannelsSpiSelectorProvider()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaNioFileSpiDefaultFileSystemProvider()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaPropertiesDate()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaProtocolHandlerPkgs()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaRmiServerCodebase()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaRmiServerHostName()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaRmiServerRandomIds()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaRmiServerRmiClassLoaderSpi()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaRuntimeName()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaRuntimeVersion()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaSecurityAuthLoginConfig()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaSecurityManager()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaSpecificationMaintenanceVersion()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaSpecificationName()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaSpecificationVendor()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaSpecificationVersion()`
  Gets the current value from the system properties map.
  `static String`
  `getJavaSpecificationVersion(String defaultValue)`
  Gets the current value from the system properties map for "java.specification.version".
  `static String`
  `getJavaSystemClassLoader()`
  Gets the current value from the system properties map for "java.system.class.loader".
  `static String`
  `getJavaTimeZoneDefaultZoneRulesProvider()`
  Gets the current value from the system properties map for "java.time.zone.DefaultZoneRulesProvider".
  `static String`
  `getJavaUtilConcurrentForkJoinPoolCommonExceptionHandler()`
  Gets the current value from the system properties map for "java.util.concurrent.ForkJoinPool.common.exceptionHandler".
  `static String`
  `getJavaUtilConcurrentForkJoinPoolCommonMaximumSpares()`
  Gets the current value from the system properties map for "java.util.concurrent.ForkJoinPool.common.maximumSpares".
  `static String`
  `getJavaUtilConcurrentForkJoinPoolCommonParallelism()`
  Gets the current value from the system properties map for "java.util.concurrent.ForkJoinPool.common.parallelism".
  `static String`
  `getJavaUtilConcurrentForkJoinPoolCommonThreadFactory()`
  Gets the current value from the system properties map for "java.util.concurrent.ForkJoinPool.common.threadFactory".
  `static String`
  `getJavaUtilCurrencyData()`
  Gets the current value from the system properties map for "java.util.currency.data".
  `static String`
  `getJavaUtilLoggingConfigClass()`
  Gets the current value from the system properties map for "java.util.logging.config.class".
  `static String`
  `getJavaUtilLoggingConfigFile()`
  Gets the current value from the system properties map for "java.util.logging.config.file".
  `static String`
  `getJavaUtilLoggingSimpleFormatterFormat()`
  Gets the current value from the system properties map for "java.util.logging.simpleformatter.format".
  `static String`
  `getJavaUtilPrefsPreferencesFactory()`
  Gets the current value from the system properties map for "java.util.prefs.PreferencesFactory".
  `static String`
  `getJavaUtilPropertyResourceBundleEncoding()`
  Gets the current value from the system properties map for "java.util.PropertyResourceBundle.encoding".
  `static String`
  `getJavaVendor()`
  Gets the current value from the system properties map for "java.vendor".
  `static String`
  `getJavaVendorUrl()`
  Gets the current value from the system properties map for "java.vendor.url".
  `static String`
  `getJavaVendorVersion()`
  Gets the current value from the system properties map for "java.vendor.version".
  `static String`
  `getJavaVersion()`
  Gets the current value from the system properties map for "java.version".
  `static String`
  `getJavaVersionDate()`
  Gets the current value from the system properties map for "java.version.date".
  `static String`
  `getJavaVmInfo()`
  Gets the current value from the system properties map for "java.vm.info".
  `static String`
  `getJavaVmName()`
  Gets the current value from the system properties map for "java.vm.name".
  `static String`
  `getJavaVmSpecificationName()`
  Gets the current value from the system properties map for "java.vm.specification.name".
  `static String`
  `getJavaVmSpecificationVendor()`
  Gets the current value from the system properties map for "java.vm.specification.vendor".
  `static String`
  `getJavaVmSpecificationVersion()`
  Gets the current value from the system properties map for "java.vm.specification.version".
  `static String`
  `getJavaVmVendor()`
  Gets the current value from the system properties map for "java.vm.vendor".
  `static String`
  `getJavaVmVersion()`
  Gets the current value from the system properties map for "java.vm.version".
  `static String`
  `getJavaxAccessibilityAssistiveTechnologies()`
  Gets the current value from the system properties map for "javax.accessibility.assistive_technologies".
  `static String`
  `getJavaXmlConfigFile()`
  Gets the current value from the system properties map for "java.xml.config.file".
  `static String`
  `getJavaxNetSslSessionCacheSize()`
  Gets the current value from the system properties map for "javax.net.ssl.sessionCacheSize".
  `static String`
  `getJavaxRmiSslClientEnabledCipherSuites()`
  Gets the current value from the system properties map for "javax.rmi.ssl.client.enabledCipherSuites".
  `static String`
  `getJavaxRmiSslClientEnabledProtocols()`
  Gets the current value from the system properties map for "javax.rmi.ssl.client.enabledProtocols".
  `static String`
  `getJavaxSecurityAuthUseSubjectCredsOnly()`
  Gets the current value from the system properties map for "javax.security.auth.useSubjectCredsOnly".
  `static String`
  `getJavaxSmartCardIoTerminalFactoryDefaultType()`
  Gets the current value from the system properties map for "javax.smartcardio.TerminalFactory.DefaultType".
  `static String`
  `getJdbcDrivers()`
  Gets the current value from the system properties map for "jdbc.drivers".
  `static String`
  `getJdkHttpAuthProxyingDisabledSchemes()`
  Gets the current value from the system properties map for "jdk.http.auth.proxying.disabledSchemes".
  `static String`
  `getJdkHttpAuthTunnelingDisabledSchemes()`
  Gets the current value from the system properties map for "jdk.http.auth.tunneling.disabledSchemes".
  `static String`
  `getJdkHttpClientAllowRestrictedHeaders()`
  Gets the current value from the system properties map for "jdk.httpclient.allowRestrictedHeaders".
  `static String`
  `getJdkHttpClientAuthRetryLimit()`
  Gets the current value from the system properties map for "jdk.httpclient.auth.retrylimit".
  `static String`
  `getJdkHttpClientBufSize()`
  Gets the current value from the system properties map for "jdk.httpclient.bufsize".
  `static String`
  `getJdkHttpClientConnectionPoolSize()`
  Gets the current value from the system properties map for "jdk.httpclient.connectionPoolSize".
  `static String`
  `getJdkHttpClientConnectionWindowSize()`
  Gets the current value from the system properties map for "jdk.httpclient.connectionWindowSize".
  `static String`
  `getJdkHttpClientDisableRetryConnect()`
  Gets the current value from the system properties map for "jdk.httpclient.disableRetryConnect".
  `static String`
  `getJdkHttpClientEnableAllMethodRetry()`
  Gets the current value from the system properties map for "jdk.httpclient.enableAllMethodRetry".
  `static String`
  `getJdkHttpClientEnablePush()`
  Gets the current value from the system properties map for "jdk.httpclient.enablepush".
  `static String`
  `getJdkHttpClientHpackMaxHeaderTableSize()`
  Gets the current value from the system properties map for "jdk.httpclient.hpack.maxheadertablesize".
  `static String`
  `getJdkHttpClientHttpClientLog()`
  Gets the current value from the system properties map for "jdk.httpclient.HttpClient.log".
  `static String`
  `getJdkHttpClientKeepAliveTimeout()`
  Gets the current value from the system properties map for "jdk.httpclient.keepalive.timeout".
  `static String`
  `getJdkHttpClientKeepAliveTimeoutH2()`
  Gets the current value from the system properties map for "jdk.httpclient.keepalive.timeout.h2".
  `static String`
  `getJdkHttpClientMaxFrameSize()`
  Gets the current value from the system properties map for "jdk.httpclient.maxframesize".
  `static String`
  `getJdkHttpClientMaxStreams()`
  Gets the current value from the system properties map for "jdk.httpclient.maxstreams".
  `static String`
  `getJdkHttpClientReceiveBufferSize()`
  Gets the current value from the system properties map for "jdk.httpclient.receiveBufferSize".
  `static String`
  `getJdkHttpClientRedirectsRetryLimit()`
  Gets the current value from the system properties map for "jdk.httpclient.redirects.retrylimit".
  `static String`
  `getJdkHttpClientSendBufferSize()`
  Gets the current value from the system properties map for "jdk.httpclient.sendBufferSize".
  `static String`
  `getJdkHttpClientWebSocketWriteBufferSize()`
  Gets the current value from the system properties map for "jdk.httpclient.websocket.writeBufferSize".
  `static String`
  `getJdkHttpClientWindowSize()`
  Gets the current value from the system properties map for "jdk.httpclient.windowsize".
  `static String`
  `getJdkHttpServerMaxConnections()`
  Gets the current value from the system properties map for "jdk.httpserver.maxConnections".
  `static String`
  `getJdkHttpsNegotiateCbt()`
  Gets the current value from the system properties map for "jdk.https.negotiate.cbt".
  `static String`
  `getJdkIncludeInExceptions()`
  Gets the current value from the system properties map for "jdk.includeInExceptions".
  `static String`
  `getJdkInternalHttpClientDisableHostNameVerification()`
  Gets the current value from the system properties map for "jdk.internal.httpclient.disableHostnameVerification".
  `static String`
  `getJdkIoPermissionsUseCanonicalPath()`
  Gets the current value from the system properties map for "jdk.io.permissionsUseCanonicalPath".
  `static String`
  `getJdkJndiLdapObjectFactoriesFilter()`
  Gets the current value from the system properties map for "jdk.jndi.ldap.object.factoriesFilter".
  `static String`
  `getJdkJndiObjectFactoriesFilter()`
  Gets the current value from the system properties map for "jdk.jndi.object.factoriesFilter".
  `static String`
  `getJdkJndiRmiObjectFactoriesFilter()`
  Gets the current value from the system properties map for "jdk.jndi.rmi.object.factoriesFilter".
  `static String`
  `getJdkModuleMain()`
  Gets the current value from the system properties map for "jdk.module.main".
  `static String`
  `getJdkModuleMainClass()`
  Gets the current value from the system properties map for "jdk.module.main.class".
  `static String`
  `getJdkModulePath()`
  Gets the current value from the system properties map for "jdk.module.path".
  `static String`
  `getJdkModuleUpgradePath()`
  Gets the current value from the system properties map for "jdk.module.upgrade.path".
  `static String`
  `getJdkNetUnixDomainTmpDir()`
  Gets the current value from the system properties map for "jdk.net.unixdomain.tmpdir".
  `static String`
  `getJdkNetUrlClassPathShowIgnoredClassPathEntries()`
  Gets the current value from the system properties map for "jdk.net.URLClassPath.showIgnoredClassPathEntries".
  `static String`
  `getJdkSerialFilter()`
  Gets the current value from the system properties map for "jdk.serialFilter".
  `static String`
  `getJdkSerialFilterFactory()`
  Gets the current value from the system properties map for "jdk.serialFilterFactory".
  `static String`
  `getJdkTlsClientSignatureSchemes()`
  Gets the current value from the system properties map for "jdk.tls.client.SignatureSchemes".
  `static String`
  `getJdkTlsNamedGroups()`
  Gets the current value from the system properties map for "jdk.tls.namedGroups".
  `static String`
  `getJdkTlsServerSignatureSchemes()`
  Gets the current value from the system properties map for "jdk.tls.server.SignatureSchemes".
  `static String`
  `getJdkVirtualThreadSchedulerMaxPoolSize()`
  Gets the current value from the system properties map for "jdk.virtualThreadScheduler.maxPoolSize".
  `static String`
  `getJdkVirtualThreadSchedulerParallelism()`
  Gets the current value from the system properties map for "jdk.virtualThreadScheduler.parallelism".
  `static String`
  `getJdkXmlCdataChunkSize()`
  Gets the current value from the system properties map for "jdk.xml.cdataChunkSize".
  `static String`
  `getJdkXmlDtdSupport()`
  Gets the current value from the system properties map for "jdk.xml.dtd.support".
  `static String`
  `getJdkXmlElementAttributeLimit()`
  Gets the current value from the system properties map for "jdk.xml.elementAttributeLimit".
  `static String`
  `getJdkXmlEnableExtensionFunctions()`
  Gets the current value from the system properties map for "jdk.xml.enableExtensionFunctions".
  `static String`
  `getJdkXmlEntityExpansionLimit()`
  Gets the current value from the system properties map for "jdk.xml.entityExpansionLimit".
  `static String`
  `getJdkXmlEntityReplacementLimit()`
  Gets the current value from the system properties map for "jdk.xml.entityReplacementLimi_t".
  `static String`
  `getJdkXmlIsStandalone()`
  Gets the current value from the system properties map for "jdk.xml.isStandalone".
  `static String`
  `getJdkXmlJdkCatalogResolve()`
  Gets the current value from the system properties map for "jdk.xml.jdkcatalog.resolve".
  `static String`
  `getJdkXmlMaxElementDepth()`
  Gets the current value from the system properties map for "jdk.xml.maxElementDepth".
  `static String`
  `getJdkXmlMaxGeneralEntitySizeLimit()`
  Gets the current value from the system properties map for "jdk.xml.maxGeneralEntitySizeLimit".
  `static String`
  `getJdkXmlMaxOccurLimit()`
  Gets the current value from the system properties map for "jdk.xml.maxOccurLimit".
  `static String`
  `getJdkXmlMaxParameterEntitySizeLimit()`
  Gets the current value from the system properties map for "jdk.xml.maxParameterEntitySizeLimit".
  `static String`
  `getJdkXmlMaxXmlNameLimit()`
  Gets the current value from the system properties map for "jdk.xml.maxXMLNameLimit".
  `static String`
  `getJdkXmlOverrideDefaultParser()`
  Gets the current value from the system properties map for "jdk.xml.overrideDefaultParser".
  `static String`
  `getJdkXmlResetSymbolTable()`
  Gets the current value from the system properties map for "jdk.xml.resetSymbolTable".
  `static String`
  `getJdkXmlTotalEntitySizeLimit()`
  Gets the current value from the system properties map for "jdk.xml.totalEntitySizeLimit".
  `static String`
  `getJdkXmlXsltcIsStandalone()`
  Gets the current value from the system properties map for "jdk.xml.xsltcIsStandalone".
  `static String`
  `getLineSeparator()`
  Gets the current value from the system properties map for "line.separator".
  `static String`
  `getLineSeparator(Supplier<String> defaultIfAbsent)`
  Gets the current value from the system properties map for "line.separator".
  `static long`
  `getLong(Class<?> clazz, String key, LongSupplier defaultIfAbsent)`
  Gets the current value for the property named `"SimpleClassName.Key"` as a `long`.
  `static long`
  `getLong(String key, LongSupplier defaultIfAbsent)`
  Gets the current value for the property named `key` as a `long`.
  `static String`
  `getNativeEncoding()`
  Gets the current value from the system properties map for "native.encoding".
  `static String`
  `getNetworkAddressCacheNegativeTtl()`
  Gets the current value from the system properties map for "networkaddress.cache.negative.ttl".
  `static String`
  `getNetworkAddressCacheStaleTtl()`
  Gets the current value from the system properties map for "networkaddress.cache.stale.ttl".
  `static String`
  `getNetworkAddressCacheTtl()`
  Gets the current value from the system properties map for "networkaddress.cache.ttl".
  `static String`
  `getOrgJcpXmlDsigSecureValidation()`
  Gets the current value from the system properties map for "org.jcp.xml.dsig.securevalidation".
  `static String`
  `getOrgOpenJdkJavaUtilStreamTripwire()`
  Gets the current value from the system properties map for "org.openjdk.java.util.stream.tripwire".
  `static String`
  `getOsArch()`
  Gets the current value from the system properties map for "os.arch".
  `static String`
  `getOsName()`
  Gets the current value from the system properties map for "os.name".
  `static String`
  `getOsVersion()`
  Gets the current value from the system properties map for "os.version".
  `static Path`
  `getPath(String key, Supplier<Path> defaultIfAbsent)`
  Gets the current value for the property named `key` as a `Path`.
  `static String`
  `getPathSeparator()`
  Gets the current value from the system properties map for "path.separator".
  `static String`
  `getProperty(String property)`
  Gets a System property, defaulting to `null` if the property cannot be read.
  `static String`
  `getSocksProxyHost()`
  Gets the current value from the system properties map for "socksProxyHost".
  `static String`
  `getSocksProxyPort()`
  Gets the current value from the system properties map for "socksProxyPort".
  `static String`
  `getSocksProxyVersion()`
  Gets the current value from the system properties map for "socksProxyVersion".
  `static String`
  `getStdErrEncoding()`
  Gets the current value from the system properties map for "stderr.encoding".
  `static String`
  `getStdOutEncoding()`
  Gets the current value from the system properties map for "stdout.encoding".
  `static String`
  `getSunNetHttpServerDrainAmount()`
  Gets the current value from the system properties map for "sun.net.httpserver.drainAmount".
  `static String`
  `getSunNetHttpServerIdleInterval()`
  Gets the current value from the system properties map for "sun.net.httpserver.idleInterval".
  `static String`
  `getSunNetHttpServerMaxIdleConnections()`
  Gets the current value from the system properties map for "sun.net.httpserver.maxIdleConnections".
  `static String`
  `getSunNetHttpServerMaxReqHeaders()`
  Gets the current value from the system properties map for "sun.net.httpserver.maxReqHeaders".
  `static String`
  `getSunNetHttpServerMaxReqTime()`
  Gets the current value from the system properties map for "sun.net.httpserver.maxReqTime".
  `static String`
  `getSunNetHttpServerMaxRspTime()`
  Gets the current value from the system properties map for "sun.net.httpserver.maxRspTime".
  `static String`
  `getSunNetHttpServerNoDelay()`
  Gets the current value from the system properties map for "sun.net.httpserver.nodelay".
  `static String`
  `getSunSecurityKrb5Principal()`
  Gets the current value from the system properties map for "sun.security.krb5.principal".
  `static String`
  `getUserCountry()`
  Gets the current value from the system properties map for "user.country".
  `static String`
  `getUserDir()`
  Gets the current value from the system properties map for "user.dir".
  `static String`
  `getUserExtensions()`
  Gets the current value from the system properties map for "user.extensions".
  `static String`
  `getUserHome()`
  Gets the current value from the system properties map for "user.home".
  `static String`
  `getUserLanguage()`
  Gets the current value from the system properties map for "user.language".
  `static String`
  `getUserName()`
  Gets the current value from the system properties map for "user.name".
  `static String`
  `getUserName(String defaultValue)`
  Gets the current value from the system properties map for "user.name".
  `static String`
  `getUserRegion()`
  Gets the current value from the system properties map for "user.region".
  `static String`
  `getUserScript()`
  Gets the current value from the system properties map for "user.script".
  `static String`
  `getUserTimezone()`
  Gets the current value from the system properties map for "user.timezone".
  `static String`
  `getUserVariant()`
  Gets the current value from the system properties map for "user.variant".
  `static boolean`
  `isPropertySet(String property)`
  Tests whether the given property is set.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### APPLE_AWT_ENABLE_TEMPLATE_IMAGES

    public static final String APPLE_AWT_ENABLE_TEMPLATE_IMAGES
    The System property name "apple.awt.enableTemplateImages".
    Since:
      3.15.0
    See Also:
      - apple.awt.enableTemplateImages
      - Constant Field Values

  - ### AWT_TOOLKIT

    @Deprecated public static final String AWT_TOOLKIT
    Deprecated.
    Deprecated without replacement.
    The System property name "awt.toolkit".

    Not in Java 17 and above according to System Properties Javadoc.

    See Also:
      - System Properties
      - Constant Field Values

  - ### COM_SUN_JNDI_LDAP_OBJECT_TRUST_SERIAL_DATA

    public static final String COM_SUN_JNDI_LDAP_OBJECT_TRUST_SERIAL_DATA
    The System property name "com.sun.jndi.ldap.object.trustSerialData".
    Since:
      3.15.0
    See Also:
      - com.sun.jndi.ldap.object.trustSerialData
      - Constant Field Values

  - ### COM_SUN_NET_HTTP_SERVER_HTTP_SERVER_PROVIDER

    public static final String COM_SUN_NET_HTTP_SERVER_HTTP_SERVER_PROVIDER
    The System property name "com.sun.net.httpserver.HttpServerProvider".
    Since:
      3.15.0
    See Also:
      - com.sun.net.httpserver.HttpServerProvider
      - Constant Field Values

  - ### FILE_ENCODING

    public static final String FILE_ENCODING
    The System property name "file.encoding".
    See Also:
      - Constant Field Values

  - ### FILE_SEPARATOR

    public static final String FILE_SEPARATOR
    The System property name "file.separator".
    See Also:
      - Constant Field Values

  - ### FTP_NON_PROXY_HOST

    public static final String FTP_NON_PROXY_HOST
    The System property name "ftp.nonProxyHosts".
    Since:
      3.15.0
    See Also:
      - ftp.nonProxyHosts
      - Constant Field Values

  - ### FTP_PROXY_HOST

    public static final String FTP_PROXY_HOST
    The System property name "ftp.proxyHost".
    Since:
      3.15.0
    See Also:
      - ftp.proxyHost
      - Constant Field Values

  - ### FTP_PROXY_PORT

    public static final String FTP_PROXY_PORT
    The System property name "ftp.proxyPort".
    Since:
      3.15.0
    See Also:
      - ftp.proxyPort
      - Constant Field Values

  - ### HTTP_AGENT

    public static final String HTTP_AGENT
    The System property name "http.agent".
    Since:
      3.15.0
    See Also:
      - http.agent
      - Constant Field Values

  - ### HTTP_AUTH_DIGEST_CNONCE_REPEAT

    public static final String HTTP_AUTH_DIGEST_CNONCE_REPEAT
    The System property name "http.auth.digest.cnonceRepeat".
    Since:
      3.15.0
    See Also:
      - auth.digest.cnonceRepeat
      - Constant Field Values

  - ### HTTP_AUTH_DIGEST_RE_ENABLED_ALGORITHMS

    public static final String HTTP_AUTH_DIGEST_RE_ENABLED_ALGORITHMS
    The System property name "http.auth.digest.reEnabledAlgorithms".
    Since:
      3.15.0
    See Also:
      - http.auth.digest.reEnabledAlgorithms
      - Constant Field Values

  - ### HTTP_AUTH_DIGEST_VALIDATE_PROXY

    public static final String HTTP_AUTH_DIGEST_VALIDATE_PROXY
    The System property name "http.auth.digest.validateProxy".
    Since:
      3.15.0
    See Also:
      - http.auth.digest.validateProxy
      - Constant Field Values

  - ### HTTP_AUTH_DIGEST_VALIDATE_SERVER

    public static final String HTTP_AUTH_DIGEST_VALIDATE_SERVER
    The System property name "http.auth.digest.validateServer".
    Since:
      3.15.0
    See Also:
      - http.auth.digest.validateServer
      - Constant Field Values

  - ### HTTP_AUTH_NTLM_DOMAIN

    public static final String HTTP_AUTH_NTLM_DOMAIN
    The System property name "http.auth.ntlm.domain".
    Since:
      3.15.0
    See Also:
      - http.auth.ntlm.domain
      - Constant Field Values

  - ### HTTP_KEEP_ALIVE

    public static final String HTTP_KEEP_ALIVE
    The System property name "http.keepAlive".
    Since:
      3.15.0
    See Also:
      - http.keepAlive
      - Constant Field Values

  - ### HTTP_KEEP_ALIVE_TIME_PROXY

    public static final String HTTP_KEEP_ALIVE_TIME_PROXY
    The System property name "http.keepAlive.time.proxy".
    Since:
      3.15.0
    See Also:
      - http.keepAlive.time.proxy
      - Constant Field Values

  - ### HTTP_KEEP_ALIVE_TIME_SERVER

    public static final String HTTP_KEEP_ALIVE_TIME_SERVER
    The System property name "http.keepAlive.time.server".
    Since:
      3.15.0
    See Also:
      - http.keepAlive.time.server
      - Constant Field Values

  - ### HTTP_MAX_CONNECTIONS

    public static final String HTTP_MAX_CONNECTIONS
    The System property name "http.maxConnections".
    Since:
      3.15.0
    See Also:
      - http.maxConnections
      - Constant Field Values

  - ### HTTP_MAX_REDIRECTS

    public static final String HTTP_MAX_REDIRECTS
    The System property name "http.maxRedirects".
    Since:
      3.15.0
    See Also:
      - http.maxRedirects
      - Constant Field Values

  - ### HTTP_NON_PROXY_HOSTS

    public static final String HTTP_NON_PROXY_HOSTS
    The System property name "http.nonProxyHosts".
    Since:
      3.15.0
    See Also:
      - http.nonProxyHosts
      - Constant Field Values

  - ### HTTP_PROXY_HOST

    public static final String HTTP_PROXY_HOST
    The System property name "http.proxyHost".
    Since:
      3.15.0
    See Also:
      - http.proxyHost
      - Constant Field Values

  - ### HTTP_PROXY_PORT

    public static final String HTTP_PROXY_PORT
    The System property name "http.proxyPort".
    Since:
      3.15.0
    See Also:
      - http.proxyPort
      - Constant Field Values

  - ### HTTPS_PROXY_HOST

    public static final String HTTPS_PROXY_HOST
    The System property name "https.proxyHost".
    Since:
      3.15.0
    See Also:
      - https.proxyHost
      - Constant Field Values

  - ### HTTPS_PROXY_PORT

    public static final String HTTPS_PROXY_PORT
    The System property name "https.proxyPort".
    Since:
      3.15.0
    See Also:
      - https.proxyPort
      - Constant Field Values

  - ### JAVA_AWT_FONTS

    @Deprecated public static final String JAVA_AWT_FONTS
    Deprecated.
    Deprecated without replacement.
    The System property name "java.awt.fonts".

    Not in Java 17 and above according to System Properties Javadoc.

    See Also:
      - System Properties
      - Constant Field Values

  - ### JAVA_AWT_GRAPHICSENV

    @Deprecated public static final String JAVA_AWT_GRAPHICSENV
    Deprecated.
    Deprecated without replacement.
    The System property name "java.awt.graphicsenv".

    Not in Java 17 and above according to System Properties Javadoc.

    See Also:
      - System Properties
      - Constant Field Values

  - ### JAVA_AWT_HEADLESS

    @Deprecated public static final String JAVA_AWT_HEADLESS
    Deprecated.
    Deprecated without replacement.
    The System property name "java.awt.headless".

    Not in Java 17 and above according to System Properties Javadoc.

    See Also:
      - System Properties
      - Constant Field Values

  - ### JAVA_AWT_PRINTERJOB

    @Deprecated public static final String JAVA_AWT_PRINTERJOB
    Deprecated.
    Deprecated without replacement.
    The System property name "java.awt.printerjob".

    Not in Java 17 and above according to System Properties Javadoc.

    See Also:
      - System Properties
      - Constant Field Values

  - ### JAVA_CLASS_PATH

    public static final String JAVA_CLASS_PATH
    The System property name "java.class.path".
    See Also:
      - java.class.path
      - Constant Field Values

  - ### JAVA_CLASS_VERSION

    public static final String JAVA_CLASS_VERSION
    The System property name "java.class.version".
    See Also:
      - Constant Field Values

  - ### JAVA_COMPILER

    @Deprecated public static final String JAVA_COMPILER
    Deprecated.
    Deprecated without replacement.
    The System property name "java.compiler".

    Not in Java 17 and above according to System Properties Javadoc.

    See Also:
      - JDK-8305998
      - System Properties
      - Constant Field Values

  - ### JAVA_CONTENT_HANDLER_PKGS

    public static final String JAVA_CONTENT_HANDLER_PKGS
    The System property name "java.content.handler.pkgs".
    Since:
      3.15.0
    See Also:
      - java.content.handler.pkgs
      - Constant Field Values

  - ### JAVA_ENDORSED_DIRS

    @Deprecated public static final String JAVA_ENDORSED_DIRS
    Deprecated.
    Deprecated without replacement.
    The System property name "java.endorsed.dirs".

    Not in Java 17 and above according to System Properties Javadoc.

    See Also:
      - System Properties
      - Constant Field Values

  - ### JAVA_EXT_DIRS

    @Deprecated public static final String JAVA_EXT_DIRS
    Deprecated.
    Deprecated without replacement.
    The System property name "java.ext.dirs".

    Not in Java 17 and above according to System Properties Javadoc.

    See Also:
      - System Properties
      - Constant Field Values

  - ### JAVA_HOME

    public static final String JAVA_HOME
    The System property name "java.home".
    See Also:
      - Constant Field Values

  - ### JAVA_IO_TMPDIR

    public static final String JAVA_IO_TMPDIR
    The System property name "java.io.tmpdir".
    See Also:
      - Constant Field Values

  - ### JAVA_LIBRARY_PATH

    public static final String JAVA_LIBRARY_PATH
    The System property name "java.library.path".
    See Also:
      - Constant Field Values

  - ### JAVA_LOCALE_PROVIDERS

    public static final String JAVA_LOCALE_PROVIDERS
    The System property name "java.locale.providers".
    See Also:
      - Constant Field Values

  - ### JAVA_LOCALE_USE_OLD_ISO_CODES

    public static final String JAVA_LOCALE_USE_OLD_ISO_CODES
    The System property name "java.locale.useOldISOCodes".
    Since:
      3.15.0
    See Also:
      - java.locale.useOldISOCodes
      - Constant Field Values

  - ### JAVA_NET_PREFER_IPV4_STACK

    public static final String JAVA_NET_PREFER_IPV4_STACK
    The System property name "java.net.preferIPv4Stack".
    Since:
      3.15.0
    See Also:
      - java.net.preferIPv4Stack
      - Constant Field Values

  - ### JAVA_NET_PREFER_IPV6_ADDRESSES

    public static final String JAVA_NET_PREFER_IPV6_ADDRESSES
    The System property name "java.net.preferIPv6Addresses".
    Since:
      3.15.0
    See Also:
      - java.net.preferIPv6Addresses
      - Constant Field Values

  - ### JAVA_NET_SOCKS_PASSWORD

    public static final String JAVA_NET_SOCKS_PASSWORD
    The System property name "java.net.socks.password".
    Since:
      3.15.0
    See Also:
      - java.net.socks.password
      - Constant Field Values

  - ### JAVA_NET_SOCKS_USER_NAME

    public static final String JAVA_NET_SOCKS_USER_NAME
    The System property name "java.net.socks.username".
    Since:
      3.15.0
    See Also:
      - java.net.socks.username
      - Constant Field Values

  - ### JAVA_NET_USE_SYSTEM_PROXIES

    public static final String JAVA_NET_USE_SYSTEM_PROXIES
    The System property name "java.net.useSystemProxies".
    Since:
      3.15.0
    See Also:
      - java.net.useSystemProxies
      - Constant Field Values

  - ### JAVA_NIO_CHANNELS_DEFAULT_THREAD_POOL_INITIAL_SIZE

    public static final String JAVA_NIO_CHANNELS_DEFAULT_THREAD_POOL_INITIAL_SIZE
    The System property name "java.nio.channels.DefaultThreadPool.initialSize".
    Since:
      3.15.0
    See Also:
      - java.nio.channels.DefaultThreadPool.initialSize
      - Constant Field Values

  - ### JAVA_NIO_CHANNELS_DEFAULT_THREAD_POOL_THREAD_FACTORY

    public static final String JAVA_NIO_CHANNELS_DEFAULT_THREAD_POOL_THREAD_FACTORY
    The System property name "java.nio.channels.DefaultThreadPool.threadFactory".
    Since:
      3.15.0
    See Also:
      - java.nio.channels.DefaultThreadPool.threadFactory
      - Constant Field Values

  - ### JAVA_NIO_CHANNELS_SPI_ASYNCHRONOUS_CHANNEL_PROVIDER

    public static final String JAVA_NIO_CHANNELS_SPI_ASYNCHRONOUS_CHANNEL_PROVIDER
    The System property name "java.nio.channels.spi.AsynchronousChannelProvider".
    Since:
      3.15.0
    See Also:
      - java.nio.channels.DefaultThreadPool.initialSize
      - Constant Field Values

  - ### JAVA_NIO_CHANNELS_SPI_SELECTOR_PROVIDER

    public static final String JAVA_NIO_CHANNELS_SPI_SELECTOR_PROVIDER
    The System property name "java.nio.channels.spi.SelectorProvider".
    Since:
      3.15.0
    See Also:
      - java.nio.channels.spi.SelectorProvider
      - Constant Field Values

  - ### JAVA_NIO_FILE_SPI_DEFAULT_FILE_SYSTEM_PROVIDER

    public static final String JAVA_NIO_FILE_SPI_DEFAULT_FILE_SYSTEM_PROVIDER
    The System property name "java.nio.file.spi.DefaultFileSystemProvider".
    Since:
      3.15.0
    See Also:
      - java.nio.file.spi.DefaultFileSystemProvider
      - Constant Field Values

  - ### JAVA_PROPERTIES_DATE

    public static final String JAVA_PROPERTIES_DATE
    The System property name "java.properties.date".
    Since:
      3.15.0
    See Also:
      - java.properties.date
      - Constant Field Values

  - ### JAVA_PROTOCOL_HANDLER_PKGS

    public static final String JAVA_PROTOCOL_HANDLER_PKGS
    The System property name "java.protocol.handler.pkgs".
    Since:
      3.15.0
    See Also:
      - java.protocol.handler.pkgs
      - Constant Field Values

  - ### JAVA_RMI_SERVER_CODEBASE

    public static final String JAVA_RMI_SERVER_CODEBASE
    The System property name "java.rmi.server.codebase".
    Since:
      3.15.0
    See Also:
      - java.rmi.server.codebase
      - Constant Field Values

  - ### JAVA_RMI_SERVER_HOST_NAME

    public static final String JAVA_RMI_SERVER_HOST_NAME
    The System property name "java.rmi.server.hostname".
    Since:
      3.15.0
    See Also:
      - java.rmi.server.hostname
      - Constant Field Values

  - ### JAVA_RMI_SERVER_RANDOM_IDS

    public static final String JAVA_RMI_SERVER_RANDOM_IDS
    The System property name "java.rmi.server.randomIDs".
    Since:
      3.15.0
    See Also:
      - java.rmi.server.randomIDs
      - Constant Field Values

  - ### JAVA_RMI_SERVER_RMI_CLASS_LOADER_SPI

    public static final String JAVA_RMI_SERVER_RMI_CLASS_LOADER_SPI
    The System property name "java.rmi.server.RMIClassLoaderSpi".
    Since:
      3.15.0
    See Also:
      - java.rmi.server.RMIClassLoaderSpi
      - Constant Field Values

  - ### JAVA_RUNTIME_NAME

    public static final String JAVA_RUNTIME_NAME
    The System property name "java.runtime.name".
    See Also:
      - Constant Field Values

  - ### JAVA_RUNTIME_VERSION

    public static final String JAVA_RUNTIME_VERSION
    The System property name "java.runtime.version".
    See Also:
      - Constant Field Values

  - ### JAVA_SECURITY_AUTH_LOGIN_CONFIG

    public static final String JAVA_SECURITY_AUTH_LOGIN_CONFIG
    The System property name "java.security.auth.login.config".
    Since:
      3.15.0
    See Also:
      - java.security.auth.login.config
      - Constant Field Values

  - ### JAVA_SECURITY_KERBEROS_CONF

    public static final String JAVA_SECURITY_KERBEROS_CONF
    The System property name "java.security.krb5.conf".
    Since:
      3.18.0
    See Also:
      - java.security.krb5.conf
      - package javax.security.auth.kerberos conf
      - Constant Field Values

  - ### JAVA_SECURITY_KERBEROS_KDC

    public static final String JAVA_SECURITY_KERBEROS_KDC
    The System property name "java.security.krb5.kdc".
    Since:
      3.18.0
    See Also:
      - java.security.krb5.kdc
      - package javax.security.auth.kerberos KDC
      - Constant Field Values

  - ### JAVA_SECURITY_KERBEROS_REALM

    public static final String JAVA_SECURITY_KERBEROS_REALM
    The System property name "java.security.krb5.realm".
    Since:
      3.18.0
    See Also:
      - java.security.krb5.realm
      - package javax.security.auth.kerberos realm
      - Constant Field Values

  - ### JAVA_SECURITY_DEBUG

    public static final String JAVA_SECURITY_DEBUG
    The System property name "java.security.debug".
    Since:
      3.18.0
    See Also:
      - java.security.debug
      - Constant Field Values

  - ### JAVA_SECURITY_MANAGER

    public static final String JAVA_SECURITY_MANAGER
    The System property name "java.security.manager".
    Since:
      3.15.0
    See Also:
      - java.security.manager
      - Constant Field Values

  - ### JAVA_SPECIFICATION_MAINTENANCE_VERSION

    public static final String JAVA_SPECIFICATION_MAINTENANCE_VERSION
    The System property name "java.specification.maintenance.version".
    Since:
      3.15.0
    See Also:
      - java.specification.maintenance.version
      - Constant Field Values

  - ### JAVA_SPECIFICATION_NAME

    public static final String JAVA_SPECIFICATION_NAME
    The System property name "java.specification.name".
    See Also:
      - Constant Field Values

  - ### JAVA_SPECIFICATION_VENDOR

    public static final String JAVA_SPECIFICATION_VENDOR
    The System property name "java.specification.vendor".
    See Also:
      - Constant Field Values

  - ### JAVA_SPECIFICATION_VERSION

    public static final String JAVA_SPECIFICATION_VERSION
    The System property name "java.specification.version".
    See Also:
      - Constant Field Values

  - ### JAVA_SYSTEM_CLASS_LOADER

    public static final String JAVA_SYSTEM_CLASS_LOADER
    The System property name "java.system.class.loader".
    Since:
      3.15.0
    See Also:
      - java.system.class.loader
      - Constant Field Values

  - ### JAVA_TIME_ZONE_DEFAULT_ZONE_RULES_PROVIDER

    public static final String JAVA_TIME_ZONE_DEFAULT_ZONE_RULES_PROVIDER
    The System property name "java.time.zone.DefaultZoneRulesProvider".
    Since:
      3.15.0
    See Also:
      - java.time.zone.DefaultZoneRulesProvider
      - Constant Field Values

  - ### JAVA_UTIL_CONCURRENT_FORK_JOIN_POOL_COMMON_EXCEPTION_HANDLER

    public static final String JAVA_UTIL_CONCURRENT_FORK_JOIN_POOL_COMMON_EXCEPTION_HANDLER
    The System property name "java.util.concurrent.ForkJoinPool.common.exceptionHandler".
    Since:
      3.15.0
    See Also:
      - java.util.concurrent.ForkJoinPool.common.exceptionHandler
      - Constant Field Values

  - ### JAVA_UTIL_CONCURRENT_FORK_JOIN_POOL_COMMON_MAXIMUM_SPARES

    public static final String JAVA_UTIL_CONCURRENT_FORK_JOIN_POOL_COMMON_MAXIMUM_SPARES
    The System property name "java.util.concurrent.ForkJoinPool.common.maximumSpares".
    Since:
      3.15.0
    See Also:
      - java.util.concurrent.ForkJoinPool.common.maximumSpares
      - Constant Field Values

  - ### JAVA_UTIL_CONCURRENT_FORK_JOIN_POOL_COMMON_PARALLELISM

    public static final String JAVA_UTIL_CONCURRENT_FORK_JOIN_POOL_COMMON_PARALLELISM
    The System property name "java.util.concurrent.ForkJoinPool.common.parallelism".
    Since:
      3.15.0
    See Also:
      - java.util.concurrent.ForkJoinPool.common.parallelism
      - Constant Field Values

  - ### JAVA_UTIL_CONCURRENT_FORK_JOIN_POOL_COMMON_THREAD_FACTORY

    public static final String JAVA_UTIL_CONCURRENT_FORK_JOIN_POOL_COMMON_THREAD_FACTORY
    The System property name "java.util.concurrent.ForkJoinPool.common.threadFactory".
    Since:
      3.15.0
    See Also:
      - java.util.concurrent.ForkJoinPool.common.threadFactory
      - Constant Field Values

  - ### JAVA_UTIL_CURRENCY_DATA

    public static final String JAVA_UTIL_CURRENCY_DATA
    The System property name "java.util.currency.data".
    Since:
      3.15.0
    See Also:
      - java.util.currency.data
      - Constant Field Values

  - ### JAVA_UTIL_LOGGING_CONFIG_CLASS

    public static final String JAVA_UTIL_LOGGING_CONFIG_CLASS
    The System property name "java.util.logging.config.class".
    Since:
      3.15.0
    See Also:
      - java.util.logging.config.class
      - Constant Field Values

  - ### JAVA_UTIL_LOGGING_CONFIG_FILE

    public static final String JAVA_UTIL_LOGGING_CONFIG_FILE
    The System property name "java.util.logging.config.file".
    Since:
      3.15.0
    See Also:
      - java.util.logging.config.file
      - Constant Field Values

  - ### JAVA_UTIL_LOGGING_SIMPLE_FORMATTER_FORMAT

    public static final String JAVA_UTIL_LOGGING_SIMPLE_FORMATTER_FORMAT
    The System property name "java.util.logging.simpleformatter.format".
    Since:
      3.15.0
    See Also:
      - java.util.logging.SimpleFormatter.format
      - Constant Field Values

  - ### JAVA_UTIL_PREFS_PREFERENCES_FACTORY

    public static final String JAVA_UTIL_PREFS_PREFERENCES_FACTORY
    The System property name "java.util.prefs.PreferencesFactory".
    See Also:
      - java.util.prefs.PreferencesFactory
      - Constant Field Values

  - ### JAVA_UTIL_PROPERTY_RESOURCE_BUNDLE_ENCODING

    public static final String JAVA_UTIL_PROPERTY_RESOURCE_BUNDLE_ENCODING
    The System property name "java.util.PropertyResourceBundle.encoding".
    Since:
      3.15.0
    See Also:
      - java.util.PropertyResourceBundle.encoding
      - Constant Field Values

  - ### JAVA_VENDOR

    public static final String JAVA_VENDOR
    The System property name "java.vendor".
    See Also:
      - Constant Field Values

  - ### JAVA_VENDOR_URL

    public static final String JAVA_VENDOR_URL
    The System property name "java.vendor.url".
    See Also:
      - Constant Field Values

  - ### JAVA_VENDOR_VERSION

    public static final String JAVA_VENDOR_VERSION
    The System property name "java.vendor.version".
    Since:
      3.15.0
    See Also:
      - java.vendor.version
      - Constant Field Values

  - ### JAVA_VERSION

    public static final String JAVA_VERSION
    The System property name "java.version".
    See Also:
      - Constant Field Values

  - ### JAVA_VERSION_DATE

    public static final String JAVA_VERSION_DATE
    The System property name "java.version.date".
    Since:
      3.15.0
    See Also:
      - java.version.date
      - Constant Field Values

  - ### JAVA_VM_INFO

    public static final String JAVA_VM_INFO
    The System property name "java.vm.info".
    See Also:
      - Constant Field Values

  - ### JAVA_VM_NAME

    public static final String JAVA_VM_NAME
    The System property name "java.vm.name".
    See Also:
      - Constant Field Values

  - ### JAVA_VM_SPECIFICATION_NAME

    public static final String JAVA_VM_SPECIFICATION_NAME
    The System property name "java.vm.specification.name".
    See Also:
      - Constant Field Values

  - ### JAVA_VM_SPECIFICATION_VENDOR

    public static final String JAVA_VM_SPECIFICATION_VENDOR
    The System property name "java.vm.specification.vendor".
    See Also:
      - Constant Field Values

  - ### JAVA_VM_SPECIFICATION_VERSION

    public static final String JAVA_VM_SPECIFICATION_VERSION
    The System property name "java.vm.specification.version".
    See Also:
      - Constant Field Values

  - ### JAVA_VM_VENDOR

    public static final String JAVA_VM_VENDOR
    The System property name "java.vm.vendor".
    See Also:
      - Constant Field Values

  - ### JAVA_VM_VERSION

    public static final String JAVA_VM_VERSION
    The System property name "java.vm.version".
    See Also:
      - Constant Field Values

  - ### JAVA_XML_CONFIG_FILE

    public static final String JAVA_XML_CONFIG_FILE
    The System property name "java.xml.config.file".
    Since:
      3.15.0
    See Also:
      - java.xml
      - Constant Field Values

  - ### JAVAX_ACCESSIBILITY_ASSISTIVE_TECHNOLOGIES

    public static final String JAVAX_ACCESSIBILITY_ASSISTIVE_TECHNOLOGIES
    The System property name "javax.accessibility.assistive_technologies".
    Since:
      3.15.0
    See Also:
      - javax.accessibility.assistive_technologies
      - Constant Field Values

  - ### JAVAX_NET_SSL_SESSION_CACHE_SIZE

    public static final String JAVAX_NET_SSL_SESSION_CACHE_SIZE
    The System property name "javax.net.ssl.sessionCacheSize".
    Since:
      3.15.0
    See Also:
      - javax.net.ssl.sessionCacheSize
      - Constant Field Values

  - ### JAVAX_RMI_SSL_CLIENT_ENABLED_CIPHER_SUITES

    public static final String JAVAX_RMI_SSL_CLIENT_ENABLED_CIPHER_SUITES
    The System property name "javax.rmi.ssl.client.enabledCipherSuites".
    Since:
      3.15.0
    See Also:
      - javax.rmi.ssl.client.enabledCipherSuites
      - Constant Field Values

  - ### JAVAX_RMI_SSL_CLIENT_ENABLED_PROTOCOLS

    public static final String JAVAX_RMI_SSL_CLIENT_ENABLED_PROTOCOLS
    The System property name "javax.rmi.ssl.client.enabledProtocols".
    Since:
      3.15.0
    See Also:
      - javax.rmi.ssl.client.enabledProtocols
      - Constant Field Values

  - ### JAVAX_SECURITY_AUTH_USE_SUBJECT_CREDS_ONLY

    public static final String JAVAX_SECURITY_AUTH_USE_SUBJECT_CREDS_ONLY
    The System property name "javax.security.auth.useSubjectCredsOnly".
    Since:
      3.15.0
    See Also:
      - javax.security.auth.useSubjectCredsOnly
      - Constant Field Values

  - ### JAVAX_SMART_CARD_IO_TERMINAL_FACTORY_DEFAULT_TYPE

    public static final String JAVAX_SMART_CARD_IO_TERMINAL_FACTORY_DEFAULT_TYPE
    The System property name "javax.smartcardio.TerminalFactory.DefaultType".
    Since:
      3.15.0
    See Also:
      - javax.smartcardio.TerminalFactory.DefaultType
      - Constant Field Values

  - ### JDBC_DRIVERS

    public static final String JDBC_DRIVERS
    The System property name "jdbc.drivers".
    Since:
      3.15.0
    See Also:
      - jdbc.drivers
      - Constant Field Values

  - ### JDK_HTTP_AUTH_PROXYING_DISABLED_SCHEMES

    public static final String JDK_HTTP_AUTH_PROXYING_DISABLED_SCHEMES
    The System property name "jdk.http.auth.proxying.disabledSchemes".
    Since:
      3.15.0
    See Also:
      - jdk.http.auth.proxying.disabledSchemes
      - Constant Field Values

  - ### JDK_HTTP_AUTH_TUNNELING_DISABLED_SCHEMES

    public static final String JDK_HTTP_AUTH_TUNNELING_DISABLED_SCHEMES
    The System property name "jdk.http.auth.tunneling.disabledSchemes".
    Since:
      3.15.0
    See Also:
      - jdk.http.auth.tunneling.disabledSchemes
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_ALLOW_RESTRICTED_HEADERS

    public static final String JDK_HTTP_CLIENT_ALLOW_RESTRICTED_HEADERS
    The System property name "jdk.httpclient.allowRestrictedHeaders".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.allowRestrictedHeaders
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_AUTH_RETRY_LIMIT

    public static final String JDK_HTTP_CLIENT_AUTH_RETRY_LIMIT
    The System property name "jdk.httpclient.auth.retrylimit".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.auth.retrylimit
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_BUF_SIZE

    public static final String JDK_HTTP_CLIENT_BUF_SIZE
    The System property name "jdk.httpclient.bufsize".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.bufsize
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_CONNECTION_POOL_SIZE

    public static final String JDK_HTTP_CLIENT_CONNECTION_POOL_SIZE
    The System property name "jdk.httpclient.connectionPoolSize".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.connectionPoolSize
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_CONNECTION_WINDOW_SIZE

    public static final String JDK_HTTP_CLIENT_CONNECTION_WINDOW_SIZE
    The System property name "jdk.httpclient.connectionWindowSize".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.connectionWindowSize
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_DISABLE_RETRY_CONNECT

    public static final String JDK_HTTP_CLIENT_DISABLE_RETRY_CONNECT
    The System property name "jdk.httpclient.disableRetryConnect".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.disableRetryConnect
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_ENABLE_ALL_METHOD_RETRY

    public static final String JDK_HTTP_CLIENT_ENABLE_ALL_METHOD_RETRY
    The System property name "jdk.httpclient.enableAllMethodRetry".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.enableAllMethodRetry
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_ENABLE_PUSH

    public static final String JDK_HTTP_CLIENT_ENABLE_PUSH
    The System property name "jdk.httpclient.enablepush".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.enablepush
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_HPACK_MAX_HEADER_TABLE_SIZE

    public static final String JDK_HTTP_CLIENT_HPACK_MAX_HEADER_TABLE_SIZE
    The System property name "jdk.httpclient.hpack.maxheadertablesize".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.hpack.maxheadertablesize
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_HTTP_CLIENT_LOG

    public static final String JDK_HTTP_CLIENT_HTTP_CLIENT_LOG
    The System property name "jdk.httpclient.HttpClient.log".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.HttpClient.log
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_KEEP_ALIVE_TIMEOUT

    public static final String JDK_HTTP_CLIENT_KEEP_ALIVE_TIMEOUT
    The System property name "jdk.httpclient.keepalive.timeout".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.keepalive.timeout
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_KEEP_ALIVE_TIMEOUT_H2

    public static final String JDK_HTTP_CLIENT_KEEP_ALIVE_TIMEOUT_H2
    The System property name "jdk.httpclient.keepalive.timeout.h2".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.keepalive.timeout.h2
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_MAX_FRAME_SIZE

    public static final String JDK_HTTP_CLIENT_MAX_FRAME_SIZE
    The System property name "jdk.httpclient.maxframesize".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.maxframesize
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_MAX_STREAMS

    public static final String JDK_HTTP_CLIENT_MAX_STREAMS
    The System property name "jdk.httpclient.maxstreams".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.maxstreams
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_RECEIVE_BUFFER_SIZE

    public static final String JDK_HTTP_CLIENT_RECEIVE_BUFFER_SIZE
    The System property name "jdk.httpclient.receiveBufferSize".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.receiveBufferSize
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_REDIRECTS_RETRY_LIMIT

    public static final String JDK_HTTP_CLIENT_REDIRECTS_RETRY_LIMIT
    The System property name "jdk.httpclient.redirects.retrylimit".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.redirects.retrylimit
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_SEND_BUFFER_SIZE

    public static final String JDK_HTTP_CLIENT_SEND_BUFFER_SIZE
    The System property name "jdk.httpclient.sendBufferSize".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.sendBufferSize
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_WEB_SOCKET_WRITE_BUFFER_SIZE

    public static final String JDK_HTTP_CLIENT_WEB_SOCKET_WRITE_BUFFER_SIZE
    The System property name "jdk.httpclient.websocket.writeBufferSize".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.websocket.writeBufferSize
      - Constant Field Values

  - ### JDK_HTTP_CLIENT_WINDOW_SIZE

    public static final String JDK_HTTP_CLIENT_WINDOW_SIZE
    The System property name "jdk.httpclient.windowsize".
    Since:
      3.15.0
    See Also:
      - jdk.httpclient.windowsize
      - Constant Field Values

  - ### JDK_HTTP_SERVER_MAX_CONNECTIONS

    public static final String JDK_HTTP_SERVER_MAX_CONNECTIONS
    The System property name "jdk.httpserver.maxConnections".
    Since:
      3.15.0
    See Also:
      - jdk.httpserver.maxConnections
      - Constant Field Values

  - ### JDK_HTTPS_NEGOTIATE_CBT

    public static final String JDK_HTTPS_NEGOTIATE_CBT
    The System property name "jdk.https.negotiate.cbt".
    Since:
      3.15.0
    See Also:
      - jdk.https.negotiate.cbt
      - Constant Field Values

  - ### JDK_INCLUDE_IN_EXCEPTIONS

    public static final String JDK_INCLUDE_IN_EXCEPTIONS
    The System property name "jdk.includeInExceptions".
    Since:
      3.15.0
    See Also:
      - jdk.includeInExceptions
      - Constant Field Values

  - ### JDK_INTERNAL_HTTP_CLIENT_DISABLE_HOST_NAME_VERIFICATION

    public static final String JDK_INTERNAL_HTTP_CLIENT_DISABLE_HOST_NAME_VERIFICATION
    The System property name "jdk.internal.httpclient.disableHostnameVerification".
    Since:
      3.15.0
    See Also:
      - jdk.internal.httpclient.disableHostnameVerification
      - Constant Field Values

  - ### JDK_IO_PERMISSIONS_USE_CANONICAL_PATH

    public static final String JDK_IO_PERMISSIONS_USE_CANONICAL_PATH
    The System property name "jdk.io.permissionsUseCanonicalPath".
    Since:
      3.15.0
    See Also:
      - jdk.io.permissionsUseCanonicalPath
      - Constant Field Values

  - ### JDK_JNDI_LDAP_OBJECT_FACTORIES_FILTER

    public static final String JDK_JNDI_LDAP_OBJECT_FACTORIES_FILTER
    The System property name "jdk.jndi.ldap.object.factoriesFilter".
    Since:
      3.15.0
    See Also:
      - jdk.jndi.ldap.object.factoriesFilter
      - Constant Field Values

  - ### JDK_JNDI_OBJECT_FACTORIES_FILTER

    public static final String JDK_JNDI_OBJECT_FACTORIES_FILTER
    The System property name "jdk.jndi.object.factoriesFilter".
    Since:
      3.15.0
    See Also:
      - jdk.jndi.object.factoriesFilter
      - Constant Field Values

  - ### JDK_JNDI_RMI_OBJECT_FACTORIES_FILTER

    public static final String JDK_JNDI_RMI_OBJECT_FACTORIES_FILTER
    The System property name "jdk.jndi.rmi.object.factoriesFilter".
    Since:
      3.15.0
    See Also:
      - jdk.jndi.rmi.object.factoriesFilter
      - Constant Field Values

  - ### JDK_MODULE_MAIN

    public static final String JDK_MODULE_MAIN
    The System property name "jdk.module.main".
    Since:
      3.15.0
    See Also:
      - jdk.module.main
      - Constant Field Values

  - ### JDK_MODULE_MAIN_CLASS

    public static final String JDK_MODULE_MAIN_CLASS
    The System property name "jdk.module.main.class".
    Since:
      3.15.0
    See Also:
      - jdk.module.main.class
      - Constant Field Values

  - ### JDK_MODULE_PATH

    public static final String JDK_MODULE_PATH
    The System property name "jdk.module.path".
    Since:
      3.15.0
    See Also:
      - jdk.module.path
      - Constant Field Values

  - ### JDK_MODULE_UPGRADE_PATH

    public static final String JDK_MODULE_UPGRADE_PATH
    The System property name "jdk.module.upgrade.path".
    Since:
      3.15.0
    See Also:
      - jdk.module.upgrade.path
      - Constant Field Values

  - ### JDK_NET_UNIX_DOMAIN_TMPDIR

    public static final String JDK_NET_UNIX_DOMAIN_TMPDIR
    The System property name "jdk.net.unixdomain.tmpdir".
    Since:
      3.15.0
    See Also:
      - jdk.net.unixdomain.tmpdir
      - Constant Field Values

  - ### JDK_NET_URL_CLASS_PATH_SHOW_IGNORED_CLASS_PATH_ENTRIES

    public static final String JDK_NET_URL_CLASS_PATH_SHOW_IGNORED_CLASS_PATH_ENTRIES
    The System property name "jdk.net.URLClassPath.showIgnoredClassPathEntries".
    Since:
      3.15.0
    See Also:
      - System Properties
      - Constant Field Values

  - ### JDK_SERIAL_FILTER

    public static final String JDK_SERIAL_FILTER
    The System property name "jdk.serialFilter".
    Since:
      3.15.0
    See Also:
      - jdk.serialFilter
      - Constant Field Values

  - ### JDK_SERIAL_FILTER_FACTORY

    public static final String JDK_SERIAL_FILTER_FACTORY
    The System property name "jdk.serialFilterFactory".
    Since:
      3.15.0
    See Also:
      - jdk.serialFilterFactory
      - Constant Field Values

  - ### JDK_TLS_CLIENT_SIGNATURE_SCHEMES

    public static final String JDK_TLS_CLIENT_SIGNATURE_SCHEMES
    The System property name "jdk.tls.client.SignatureSchemes".
    Since:
      3.15.0
    See Also:
      - jdk.tls.client.SignatureSchemes
      - Constant Field Values

  - ### JDK_TLS_NAMED_GROUPS

    public static final String JDK_TLS_NAMED_GROUPS
    The System property name "jdk.tls.namedGroups".
    Since:
      3.15.0
    See Also:
      - jdk.tls.namedGroups
      - Constant Field Values

  - ### JDK_TLS_SERVER_SIGNATURE_SCHEMES

    public static final String JDK_TLS_SERVER_SIGNATURE_SCHEMES
    The System property name "jdk.tls.server.SignatureSchemes".
    Since:
      3.15.0
    See Also:
      - jdk.tls.server.SignatureSchemes
      - Constant Field Values

  - ### JDK_VIRTUAL_THREAD_SCHEDULER_MAXPOOLSIZE

    public static final String JDK_VIRTUAL_THREAD_SCHEDULER_MAXPOOLSIZE
    The System property name "jdk.virtualThreadScheduler.maxPoolSize".
    Since:
      3.15.0
    See Also:
      - jdk.virtualThreadScheduler.maxPoolSize
      - Constant Field Values

  - ### JDK_VIRTUAL_THREAD_SCHEDULER_PARALLELISM

    public static final String JDK_VIRTUAL_THREAD_SCHEDULER_PARALLELISM
    The System property name "jdk.virtualThreadScheduler.parallelism".
    Since:
      3.15.0
    See Also:
      - jdk.virtualThreadScheduler.parallelism
      - Constant Field Values

  - ### JDK_XML_CDATA_CHUNK_SIZE

    public static final String JDK_XML_CDATA_CHUNK_SIZE
    The System property name "jdk.xml.cdataChunkSize".
    Since:
      3.15.0
    See Also:
      - jdk.xml.cdataChunkSize
      - Constant Field Values

  - ### JDK_XML_DTD_SUPPORT

    public static final String JDK_XML_DTD_SUPPORT
    The System property name "jdk.xml.dtd.support".
    Since:
      3.15.0
    See Also:
      - jdk.xml.dtd.support
      - Constant Field Values

  - ### JDK_XML_ELEMENT_ATTRIBUTE_LIMIT

    public static final String JDK_XML_ELEMENT_ATTRIBUTE_LIMIT
    The System property name "jdk.xml.elementAttributeLimit".
    Since:
      3.15.0
    See Also:
      - jdk.xml.elementAttributeLimit
      - Constant Field Values

  - ### JDK_XML_ENABLE_EXTENSION_FUNCTIONS

    public static final String JDK_XML_ENABLE_EXTENSION_FUNCTIONS
    The System property name "jdk.xml.enableExtensionFunctions".
    Since:
      3.15.0
    See Also:
      - jdk.xml.enableExtensionFunctions
      - Constant Field Values

  - ### JDK_XML_ENTITY_EXPANSION_LIMIT

    public static final String JDK_XML_ENTITY_EXPANSION_LIMIT
    The System property name "jdk.xml.entityExpansionLimit".
    Since:
      3.15.0
    See Also:
      - jdk.xml.entityExpansionLimit
      - Constant Field Values

  - ### JDK_XML_ENTITY_REPLACEMENT_LIMIT

    public static final String JDK_XML_ENTITY_REPLACEMENT_LIMIT
    The System property name "jdk.xml.entityReplacementLimi_t".
    Since:
      3.15.0
    See Also:
      - jdk.xml.entityReplacementLimi_t
      - Constant Field Values

  - ### JDK_XML_IS_STANDALONE

    public static final String JDK_XML_IS_STANDALONE
    The System property name "jdk.xml.isStandalone".
    Since:
      3.15.0
    See Also:
      - jdk.xml.isStandalone
      - Constant Field Values

  - ### JDK_XML_JDK_CATALOG_RESOLVE

    public static final String JDK_XML_JDK_CATALOG_RESOLVE
    The System property name "jdk.xml.jdkcatalog.resolve".
    Since:
      3.15.0
    See Also:
      - jdk.xml.jdkcatalog.resolve
      - Constant Field Values

  - ### JDK_XML_MAX_ELEMENT_DEPTH

    public static final String JDK_XML_MAX_ELEMENT_DEPTH
    The System property name "jdk.xml.maxElementDepth".
    Since:
      3.15.0
    See Also:
      - jdk.xml.maxElementDepth
      - Constant Field Values

  - ### JDK_XML_MAX_GENERAL_ENTITY_SIZE_LIMIT

    public static final String JDK_XML_MAX_GENERAL_ENTITY_SIZE_LIMIT
    The System property name "jdk.xml.maxGeneralEntitySizeLimit".
    Since:
      3.15.0
    See Also:
      - jdk.xml.maxGeneralEntitySizeLimit
      - Constant Field Values

  - ### JDK_XML_MAX_OCCUR_LIMIT

    public static final String JDK_XML_MAX_OCCUR_LIMIT
    The System property name "jdk.xml.maxOccurLimit".
    Since:
      3.15.0
    See Also:
      - jdk.xml.maxOccurLimit
      - Constant Field Values

  - ### JDK_XML_MAX_PARAMETER_ENTITY_SIZE_LIMIT

    public static final String JDK_XML_MAX_PARAMETER_ENTITY_SIZE_LIMIT
    The System property name "jdk.xml.maxParameterEntitySizeLimit".
    Since:
      3.15.0
    See Also:
      - jdk.xml.maxParameterEntitySizeLimit
      - Constant Field Values

  - ### JDK_XML_MAX_XML_NAME_LIMIT

    public static final String JDK_XML_MAX_XML_NAME_LIMIT
    The System property name "jdk.xml.maxXMLNameLimit".
    Since:
      3.15.0
    See Also:
      - jdk.xml.maxXMLNameLimit
      - Constant Field Values

  - ### JDK_XML_OVERRIDE_DEFAULT_PARSER

    public static final String JDK_XML_OVERRIDE_DEFAULT_PARSER
    The System property name "jdk.xml.overrideDefaultParser".
    Since:
      3.15.0
    See Also:
      - jdk.xml.overrideDefaultParser
      - Constant Field Values

  - ### JDK_XML_RESET_SYMBOL_TABLE

    public static final String JDK_XML_RESET_SYMBOL_TABLE
    The System property name "jdk.xml.resetSymbolTable".
    Since:
      3.15.0
    See Also:
      - jdk.xml.resetSymbolTable
      - Constant Field Values

  - ### JDK_XML_TOTAL_ENTITY_SIZE_LIMIT

    public static final String JDK_XML_TOTAL_ENTITY_SIZE_LIMIT
    The System property name "jdk.xml.totalEntitySizeLimit".
    Since:
      3.15.0
    See Also:
      - jdk.xml.totalEntitySizeLimit
      - Constant Field Values

  - ### JDK_XML_XSLTC_IS_STANDALONE

    public static final String JDK_XML_XSLTC_IS_STANDALONE
    The System property name "jdk.xml.xsltcIsStandalone".
    Since:
      3.15.0
    See Also:
      - jdk.xml.xsltcIsStandalone
      - Constant Field Values

  - ### LINE_SEPARATOR

    public static final String LINE_SEPARATOR
    The System property name "line.separator".
    See Also:
      - Constant Field Values

  - ### NATIVE_ENCODING

    public static final String NATIVE_ENCODING
    The System property name "native.encoding".
    Since:
      3.15.0
    See Also:
      - native.encoding
      - Constant Field Values

  - ### NETWORK_ADDRESS_CACHE_NEGATIVE_TTL

    public static final String NETWORK_ADDRESS_CACHE_NEGATIVE_TTL
    The System property name "networkaddress.cache.negative.ttl".
    Since:
      3.15.0
    See Also:
      - networkaddress.cache.negative.ttl
      - Constant Field Values

  - ### NETWORK_ADDRESS_CACHE_STALE_TTL

    public static final String NETWORK_ADDRESS_CACHE_STALE_TTL
    The System property name "networkaddress.cache.stale.ttl".
    Since:
      3.15.0
    See Also:
      - networkaddress.cache.stale.ttl
      - Constant Field Values

  - ### NETWORK_ADDRESS_CACHE_TTL

    public static final String NETWORK_ADDRESS_CACHE_TTL
    The System property name "networkaddress.cache.ttl".
    Since:
      3.15.0
    See Also:
      - networkaddress.cache.ttl
      - Constant Field Values

  - ### ORG_JCP_XML_DSIG_SECURE_VALIDATION

    public static final String ORG_JCP_XML_DSIG_SECURE_VALIDATION
    The System property name "org.jcp.xml.dsig.securevalidation".
    Since:
      3.15.0
    See Also:
      - org.jcp.xml.dsig.securevalidation
      - Constant Field Values

  - ### ORG_OPENJDK_JAVA_UTIL_STREAM_TRIPWIRE

    public static final String ORG_OPENJDK_JAVA_UTIL_STREAM_TRIPWIRE
    The System property name "org.openjdk.java.util.stream.tripwire".
    Since:
      3.15.0
    See Also:
      - org.openjdk.java.util.stream.tripwire
      - Constant Field Values

  - ### OS_ARCH

    public static final String OS_ARCH
    The System property name "os.arch".
    See Also:
      - Constant Field Values

  - ### OS_NAME

    public static final String OS_NAME
    The System property name "os.name".
    See Also:
      - Constant Field Values

  - ### OS_VERSION

    public static final String OS_VERSION
    The System property name "os.version".
    See Also:
      - Constant Field Values

  - ### PATH_SEPARATOR

    public static final String PATH_SEPARATOR
    The System property name "path.separator".
    See Also:
      - Constant Field Values

  - ### SOCKS_PROXY_HOST

    public static final String SOCKS_PROXY_HOST
    The System property name "socksProxyHost".
    Since:
      3.15.0
    See Also:
      - System Properties
      - Constant Field Values

  - ### SOCKS_PROXY_PORT

    public static final String SOCKS_PROXY_PORT
    The System property name "socksProxyPort".
    Since:
      3.15.0
    See Also:
      - System Properties
      - Constant Field Values

  - ### SOCKS_PROXY_VERSION

    public static final String SOCKS_PROXY_VERSION
    The System property name "socksProxyVersion".
    Since:
      3.15.0
    See Also:
      - System Properties
      - Constant Field Values

  - ### STDERR_ENCODING

    public static final String STDERR_ENCODING
    The System property name "stderr.encoding".
    Since:
      3.15.0
    See Also:
      - System Properties
      - Constant Field Values

  - ### STDOUT_ENCODING

    public static final String STDOUT_ENCODING
    The System property name "stdout.encoding".
    Since:
      3.15.0
    See Also:
      - System Properties
      - Constant Field Values

  - ### SUN_NET_HTTP_SERVER_DRAIN_AMOUNT

    public static final String SUN_NET_HTTP_SERVER_DRAIN_AMOUNT
    The System property name "sun.net.httpserver.drainAmount".
    Since:
      3.15.0
    See Also:
      - sun.net.httpserver.drainAmount
      - System Properties
      - Constant Field Values

  - ### SUN_NET_HTTP_SERVER_IDLE_INTERVAL

    public static final String SUN_NET_HTTP_SERVER_IDLE_INTERVAL
    The System property name "sun.net.httpserver.idleInterval".
    Since:
      3.15.0
    See Also:
      - sun.net.httpserver.idleInterval
      - System Properties
      - Constant Field Values

  - ### SUN_NET_HTTP_SERVER_MAX_IDLE_CONNECTIONS

    public static final String SUN_NET_HTTP_SERVER_MAX_IDLE_CONNECTIONS
    The System property name "sun.net.httpserver.maxIdleConnections".
    Since:
      3.15.0
    See Also:
      - sun.net.httpserver.maxIdleConnections
      - System Properties
      - Constant Field Values

  - ### SUN_NET_HTTP_SERVER_MAX_REQ_HEADERS

    public static final String SUN_NET_HTTP_SERVER_MAX_REQ_HEADERS
    The System property name "sun.net.httpserver.maxReqHeaders".
    Since:
      3.15.0
    See Also:
      - sun.net.httpserver.maxReqHeaders
      - System Properties
      - Constant Field Values

  - ### SUN_NET_HTTP_SERVER_MAX_REQ_TIME

    public static final String SUN_NET_HTTP_SERVER_MAX_REQ_TIME
    The System property name "sun.net.httpserver.maxReqTime".
    Since:
      3.15.0
    See Also:
      - sun.net.httpserver.maxReqTime
      - System Properties
      - Constant Field Values

  - ### SUN_NET_HTTP_SERVER_MAX_RSP_TIME

    public static final String SUN_NET_HTTP_SERVER_MAX_RSP_TIME
    The System property name "sun.net.httpserver.maxRspTime".
    Since:
      3.15.0
    See Also:
      - sun.net.httpserver.maxRspTime
      - System Properties
      - Constant Field Values

  - ### SUN_NET_HTTP_SERVER_NO_DELAY

    public static final String SUN_NET_HTTP_SERVER_NO_DELAY
    The System property name "sun.net.httpserver.nodelay".
    Since:
      3.15.0
    See Also:
      - sun.net.httpserver.nodelay
      - System Properties
      - Constant Field Values

  - ### SUN_SECURITY_KRB5_PRINCIPAL

    public static final String SUN_SECURITY_KRB5_PRINCIPAL
    The System property name "sun.security.krb5.principal".
    Since:
      3.15.0
    See Also:
      - sun.security.krb5.principal
      - System Properties
      - Constant Field Values

  - ### USER_COUNTRY

    public static final String USER_COUNTRY
    The System property name "user.country".
    See Also:
      - Constant Field Values

  - ### USER_DIR

    public static final String USER_DIR
    The System property name "user.dir".
    See Also:
      - Constant Field Values

  - ### USER_EXTENSIONS

    public static final String USER_EXTENSIONS
    The System property name "user.extensions".
    Since:
      3.15.0
    See Also:
      - System Properties
      - Constant Field Values

  - ### USER_HOME

    public static final String USER_HOME
    The System property name "user.home".
    See Also:
      - Constant Field Values

  - ### USER_LANGUAGE

    public static final String USER_LANGUAGE
    The System property name "user.language".
    See Also:
      - Constant Field Values

  - ### USER_NAME

    public static final String USER_NAME
    The System property name "user.name".
    See Also:
      - Constant Field Values

  - ### USER_REGION

    public static final String USER_REGION
    The System property name "user.region".
    See Also:
      - Constant Field Values

  - ### USER_SCRIPT

    public static final String USER_SCRIPT
    The System property name "user.script".
    Since:
      3.15.0
    See Also:
      - System Properties
      - Constant Field Values

  - ### USER_TIMEZONE

    public static final String USER_TIMEZONE
    The System property name "user.timezone".
    See Also:
      - Constant Field Values

  - ### USER_VARIANT

    public static final String USER_VARIANT
    The System property name "user.variant".
    Since:
      3.15.0
    See Also:
      - System Properties
      - Constant Field Values

- ## Constructor Details

  - ### SystemProperties

    @Deprecated public SystemProperties()
    Deprecated.
    TODO Make private in 4.0.
    Make private in 4.0.

- ## Method Details

  - ### getAppleAwtEnableTemplateImages

    public static String getAppleAwtEnableTemplateImages()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getAwtToolkit

    @Deprecated public static String getAwtToolkit()
    Deprecated.
    Deprecated without replacement.
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    See Also:
      - System Properties
      - `AWT_TOOLKIT`

  - ### getBoolean

    public static boolean getBoolean(Class<?> clazz, String key, BooleanSupplier defaultIfAbsent)
    Gets the current value for the property named `"SimpleClassName.Key"` as a `boolean`.

    If a `SecurityException` is caught, the return value is `null`.

    Parameters:
      `clazz` - The Class to use for the SimpleClassName.
      `key` - The subkey.
      `defaultIfAbsent` - The default value.
    Returns:
      an int or `defaultIfAbsent`'s value.
    Since:
      3.19.0
    See Also:
      - `Class.getSimpleName()`

  - ### getBoolean

    public static boolean getBoolean(String key, BooleanSupplier defaultIfAbsent)
    Gets the current value for the property named `key` as a `boolean`.

    If a `SecurityException` is caught, the return value is `null`.

    Parameters:
      `key` - The key.
      `defaultIfAbsent` - The default value.
    Returns:
      a `boolean` or `defaultIfAbsent`'s value.

  - ### getComSunJndiLdapObjectTrustSerialData

    public static String getComSunJndiLdapObjectTrustSerialData()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getComSunNetHttpServerHttpServerProvider

    public static String getComSunNetHttpServerHttpServerProvider()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getFileEncoding

    public static String getFileEncoding()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getFileSeparator

    public static String getFileSeparator()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getFtpNonProxyHost

    public static String getFtpNonProxyHost()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getFtpProxyHost

    public static String getFtpProxyHost()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getFtpProxyPort

    public static String getFtpProxyPort()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpAgent

    public static String getHttpAgent()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpAuthDigestCnonceRepeat

    public static String getHttpAuthDigestCnonceRepeat()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpAuthDigestReenabledAlgorithms

    public static String getHttpAuthDigestReenabledAlgorithms()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpAuthDigestValidateProxy

    public static String getHttpAuthDigestValidateProxy()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpAuthDigestValidateServer

    public static String getHttpAuthDigestValidateServer()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpAuthNtlmDomain

    public static String getHttpAuthNtlmDomain()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpKeepAlive

    public static String getHttpKeepAlive()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpKeepAliveTimeProxy

    public static String getHttpKeepAliveTimeProxy()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpKeepAliveTimeServer

    public static String getHttpKeepAliveTimeServer()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpMaxConnections

    public static String getHttpMaxConnections()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpMaxRedirects

    public static String getHttpMaxRedirects()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpNonProxyHosts

    public static String getHttpNonProxyHosts()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpProxyHost

    public static String getHttpProxyHost()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpProxyPort

    public static String getHttpProxyPort()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpsProxyHost

    public static String getHttpsProxyHost()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getHttpsProxyPort

    public static String getHttpsProxyPort()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getInt

    public static int getInt(Class<?> clazz, String key, IntSupplier defaultIfAbsent)
    Gets the current value for the property named `"SimpleClassName.Key"` as an `int`.

    If a `SecurityException` is caught, the return value is `null`.

    Parameters:
      `clazz` - The Class to use for the SimpleClassName.
      `key` - The subkey.
      `defaultIfAbsent` - The default value.
    Returns:
      an int or `defaultIfAbsent`'s value.
    Since:
      3.19.0
    See Also:
      - `Class.getSimpleName()`

  - ### getInt

    public static int getInt(String key, IntSupplier defaultIfAbsent)
    Gets the current value for the property named `key` as an `int`.

    If a `SecurityException` is caught, the return value is `null`.

    Parameters:
      `key` - The key.
      `defaultIfAbsent` - The default value.
    Returns:
      an `int` or `defaultIfAbsent`'s value.

  - ### getJavaAwtFonts

    @Deprecated public static String getJavaAwtFonts()
    Deprecated.
    Deprecated without replacement.
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    See Also:
      - System Properties
      - `JAVA_AWT_FONTS`

  - ### getJavaAwtGraphicsenv

    @Deprecated public static String getJavaAwtGraphicsenv()
    Deprecated.
    Deprecated without replacement.
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    See Also:
      - System Properties

  - ### getJavaAwtHeadless

    @Deprecated public static String getJavaAwtHeadless()
    Deprecated.
    Deprecated without replacement.
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    See Also:
      - System Properties
      - `JAVA_AWT_HEADLESS`

  - ### getJavaAwtPrinterjob

    @Deprecated public static String getJavaAwtPrinterjob()
    Deprecated.
    Deprecated without replacement.
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    See Also:
      - System Properties
      - `JAVA_AWT_PRINTERJOB`

  - ### getJavaClassPath

    public static String getJavaClassPath()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    See Also:
      - java.class.path
      - `JAVA_CLASS_PATH`

  - ### getJavaClassVersion

    public static String getJavaClassVersion()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaCompiler

    @Deprecated public static String getJavaCompiler()
    Deprecated.
    Deprecated without replacement.
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    See Also:
      - JDK-8305998
      - System Properties

  - ### getJavaContentHandlerPkgs

    public static String getJavaContentHandlerPkgs()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaEndorsedDirs

    @Deprecated public static String getJavaEndorsedDirs()
    Deprecated.
    Deprecated without replacement.
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    See Also:
      - System Properties

  - ### getJavaExtDirs

    @Deprecated public static String getJavaExtDirs()
    Deprecated.
    Deprecated without replacement.
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    See Also:
      - System Properties
      - `JAVA_EXT_DIRS`

  - ### getJavaHome

    public static String getJavaHome()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaIoTmpdir

    public static String getJavaIoTmpdir()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaLibraryPath

    public static String getJavaLibraryPath()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaLocaleProviders

    public static String getJavaLocaleProviders()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Java 9 and above.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaLocaleUseOldIsoCodes

    public static String getJavaLocaleUseOldIsoCodes()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaNetPreferIpv4Stack

    public static String getJavaNetPreferIpv4Stack()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaNetPreferIpv6Addresses

    public static String getJavaNetPreferIpv6Addresses()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaNetSocksPassword

    public static String getJavaNetSocksPassword()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaNetSocksUserName

    public static String getJavaNetSocksUserName()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaNetUseSystemProxies

    public static String getJavaNetUseSystemProxies()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaNioChannelsDefaultThreadPoolInitialSize

    public static String getJavaNioChannelsDefaultThreadPoolInitialSize()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaNioChannelsDefaultThreadPoolThreadFactory

    public static String getJavaNioChannelsDefaultThreadPoolThreadFactory()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaNioChannelsSpiAsynchronousChannelProvider

    public static String getJavaNioChannelsSpiAsynchronousChannelProvider()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaNioChannelsSpiSelectorProvider

    public static String getJavaNioChannelsSpiSelectorProvider()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaNioFileSpiDefaultFileSystemProvider

    public static String getJavaNioFileSpiDefaultFileSystemProvider()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaPropertiesDate

    public static String getJavaPropertiesDate()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaProtocolHandlerPkgs

    public static String getJavaProtocolHandlerPkgs()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaRmiServerCodebase

    public static String getJavaRmiServerCodebase()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaRmiServerHostName

    public static String getJavaRmiServerHostName()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaRmiServerRandomIds

    public static String getJavaRmiServerRandomIds()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaRmiServerRmiClassLoaderSpi

    public static String getJavaRmiServerRmiClassLoaderSpi()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaRuntimeName

    public static String getJavaRuntimeName()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaRuntimeVersion

    public static String getJavaRuntimeVersion()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaSecurityAuthLoginConfig

    public static String getJavaSecurityAuthLoginConfig()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaSecurityManager

    public static String getJavaSecurityManager()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaSpecificationMaintenanceVersion

    public static String getJavaSpecificationMaintenanceVersion()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaSpecificationName

    public static String getJavaSpecificationName()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaSpecificationVendor

    public static String getJavaSpecificationVendor()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaSpecificationVersion

    public static String getJavaSpecificationVersion()
    Gets the current value from the system properties map.

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaSpecificationVersion

    public static String getJavaSpecificationVersion(String defaultValue)
    Gets the current value from the system properties map for "java.specification.version".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Parameters:
      `defaultValue` - get this Supplier when the property is empty or throws SecurityException.
    Returns:
      The system property value or `defaultValue` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaSystemClassLoader

    public static String getJavaSystemClassLoader()
    Gets the current value from the system properties map for "java.system.class.loader".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaTimeZoneDefaultZoneRulesProvider

    public static String getJavaTimeZoneDefaultZoneRulesProvider()
    Gets the current value from the system properties map for "java.time.zone.DefaultZoneRulesProvider".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaUtilConcurrentForkJoinPoolCommonExceptionHandler

    public static String getJavaUtilConcurrentForkJoinPoolCommonExceptionHandler()
    Gets the current value from the system properties map for "java.util.concurrent.ForkJoinPool.common.exceptionHandler".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaUtilConcurrentForkJoinPoolCommonMaximumSpares

    public static String getJavaUtilConcurrentForkJoinPoolCommonMaximumSpares()
    Gets the current value from the system properties map for "java.util.concurrent.ForkJoinPool.common.maximumSpares".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaUtilConcurrentForkJoinPoolCommonParallelism

    public static String getJavaUtilConcurrentForkJoinPoolCommonParallelism()
    Gets the current value from the system properties map for "java.util.concurrent.ForkJoinPool.common.parallelism".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaUtilConcurrentForkJoinPoolCommonThreadFactory

    public static String getJavaUtilConcurrentForkJoinPoolCommonThreadFactory()
    Gets the current value from the system properties map for "java.util.concurrent.ForkJoinPool.common.threadFactory".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaUtilCurrencyData

    public static String getJavaUtilCurrencyData()
    Gets the current value from the system properties map for "java.util.currency.data".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaUtilLoggingConfigClass

    public static String getJavaUtilLoggingConfigClass()
    Gets the current value from the system properties map for "java.util.logging.config.class".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaUtilLoggingConfigFile

    public static String getJavaUtilLoggingConfigFile()
    Gets the current value from the system properties map for "java.util.logging.config.file".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaUtilLoggingSimpleFormatterFormat

    public static String getJavaUtilLoggingSimpleFormatterFormat()
    Gets the current value from the system properties map for "java.util.logging.simpleformatter.format".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaUtilPrefsPreferencesFactory

    public static String getJavaUtilPrefsPreferencesFactory()
    Gets the current value from the system properties map for "java.util.prefs.PreferencesFactory".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaUtilPropertyResourceBundleEncoding

    public static String getJavaUtilPropertyResourceBundleEncoding()
    Gets the current value from the system properties map for "java.util.PropertyResourceBundle.encoding".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaVendor

    public static String getJavaVendor()
    Gets the current value from the system properties map for "java.vendor".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaVendorUrl

    public static String getJavaVendorUrl()
    Gets the current value from the system properties map for "java.vendor.url".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaVendorVersion

    public static String getJavaVendorVersion()
    Gets the current value from the system properties map for "java.vendor.version".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaVersion

    public static String getJavaVersion()
    Gets the current value from the system properties map for "java.version".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaVersionDate

    public static String getJavaVersionDate()
    Gets the current value from the system properties map for "java.version.date".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaVmInfo

    public static String getJavaVmInfo()
    Gets the current value from the system properties map for "java.vm.info".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaVmName

    public static String getJavaVmName()
    Gets the current value from the system properties map for "java.vm.name".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaVmSpecificationName

    public static String getJavaVmSpecificationName()
    Gets the current value from the system properties map for "java.vm.specification.name".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaVmSpecificationVendor

    public static String getJavaVmSpecificationVendor()
    Gets the current value from the system properties map for "java.vm.specification.vendor".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaVmSpecificationVersion

    public static String getJavaVmSpecificationVersion()
    Gets the current value from the system properties map for "java.vm.specification.version".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaVmVendor

    public static String getJavaVmVendor()
    Gets the current value from the system properties map for "java.vm.vendor".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaVmVersion

    public static String getJavaVmVersion()
    Gets the current value from the system properties map for "java.vm.version".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getJavaxAccessibilityAssistiveTechnologies

    public static String getJavaxAccessibilityAssistiveTechnologies()
    Gets the current value from the system properties map for "javax.accessibility.assistive_technologies".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaXmlConfigFile

    public static String getJavaXmlConfigFile()
    Gets the current value from the system properties map for "java.xml.config.file".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaxNetSslSessionCacheSize

    public static String getJavaxNetSslSessionCacheSize()
    Gets the current value from the system properties map for "javax.net.ssl.sessionCacheSize".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaxRmiSslClientEnabledCipherSuites

    public static String getJavaxRmiSslClientEnabledCipherSuites()
    Gets the current value from the system properties map for "javax.rmi.ssl.client.enabledCipherSuites".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaxRmiSslClientEnabledProtocols

    public static String getJavaxRmiSslClientEnabledProtocols()
    Gets the current value from the system properties map for "javax.rmi.ssl.client.enabledProtocols".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaxSecurityAuthUseSubjectCredsOnly

    public static String getJavaxSecurityAuthUseSubjectCredsOnly()
    Gets the current value from the system properties map for "javax.security.auth.useSubjectCredsOnly".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJavaxSmartCardIoTerminalFactoryDefaultType

    public static String getJavaxSmartCardIoTerminalFactoryDefaultType()
    Gets the current value from the system properties map for "javax.smartcardio.TerminalFactory.DefaultType".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdbcDrivers

    public static String getJdbcDrivers()
    Gets the current value from the system properties map for "jdbc.drivers".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpAuthProxyingDisabledSchemes

    public static String getJdkHttpAuthProxyingDisabledSchemes()
    Gets the current value from the system properties map for "jdk.http.auth.proxying.disabledSchemes".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpAuthTunnelingDisabledSchemes

    public static String getJdkHttpAuthTunnelingDisabledSchemes()
    Gets the current value from the system properties map for "jdk.http.auth.tunneling.disabledSchemes".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientAllowRestrictedHeaders

    public static String getJdkHttpClientAllowRestrictedHeaders()
    Gets the current value from the system properties map for "jdk.httpclient.allowRestrictedHeaders".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientAuthRetryLimit

    public static String getJdkHttpClientAuthRetryLimit()
    Gets the current value from the system properties map for "jdk.httpclient.auth.retrylimit".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientBufSize

    public static String getJdkHttpClientBufSize()
    Gets the current value from the system properties map for "jdk.httpclient.bufsize".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientConnectionPoolSize

    public static String getJdkHttpClientConnectionPoolSize()
    Gets the current value from the system properties map for "jdk.httpclient.connectionPoolSize".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientConnectionWindowSize

    public static String getJdkHttpClientConnectionWindowSize()
    Gets the current value from the system properties map for "jdk.httpclient.connectionWindowSize".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientDisableRetryConnect

    public static String getJdkHttpClientDisableRetryConnect()
    Gets the current value from the system properties map for "jdk.httpclient.disableRetryConnect".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientEnableAllMethodRetry

    public static String getJdkHttpClientEnableAllMethodRetry()
    Gets the current value from the system properties map for "jdk.httpclient.enableAllMethodRetry".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientEnablePush

    public static String getJdkHttpClientEnablePush()
    Gets the current value from the system properties map for "jdk.httpclient.enablepush".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientHpackMaxHeaderTableSize

    public static String getJdkHttpClientHpackMaxHeaderTableSize()
    Gets the current value from the system properties map for "jdk.httpclient.hpack.maxheadertablesize".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientHttpClientLog

    public static String getJdkHttpClientHttpClientLog()
    Gets the current value from the system properties map for "jdk.httpclient.HttpClient.log".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientKeepAliveTimeout

    public static String getJdkHttpClientKeepAliveTimeout()
    Gets the current value from the system properties map for "jdk.httpclient.keepalive.timeout".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientKeepAliveTimeoutH2

    public static String getJdkHttpClientKeepAliveTimeoutH2()
    Gets the current value from the system properties map for "jdk.httpclient.keepalive.timeout.h2".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientMaxFrameSize

    public static String getJdkHttpClientMaxFrameSize()
    Gets the current value from the system properties map for "jdk.httpclient.maxframesize".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientMaxStreams

    public static String getJdkHttpClientMaxStreams()
    Gets the current value from the system properties map for "jdk.httpclient.maxstreams".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientReceiveBufferSize

    public static String getJdkHttpClientReceiveBufferSize()
    Gets the current value from the system properties map for "jdk.httpclient.receiveBufferSize".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientRedirectsRetryLimit

    public static String getJdkHttpClientRedirectsRetryLimit()
    Gets the current value from the system properties map for "jdk.httpclient.redirects.retrylimit".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientSendBufferSize

    public static String getJdkHttpClientSendBufferSize()
    Gets the current value from the system properties map for "jdk.httpclient.sendBufferSize".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientWebSocketWriteBufferSize

    public static String getJdkHttpClientWebSocketWriteBufferSize()
    Gets the current value from the system properties map for "jdk.httpclient.websocket.writeBufferSize".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpClientWindowSize

    public static String getJdkHttpClientWindowSize()
    Gets the current value from the system properties map for "jdk.httpclient.windowsize".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpServerMaxConnections

    public static String getJdkHttpServerMaxConnections()
    Gets the current value from the system properties map for "jdk.httpserver.maxConnections".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkHttpsNegotiateCbt

    public static String getJdkHttpsNegotiateCbt()
    Gets the current value from the system properties map for "jdk.https.negotiate.cbt".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkIncludeInExceptions

    public static String getJdkIncludeInExceptions()
    Gets the current value from the system properties map for "jdk.includeInExceptions".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkInternalHttpClientDisableHostNameVerification

    public static String getJdkInternalHttpClientDisableHostNameVerification()
    Gets the current value from the system properties map for "jdk.internal.httpclient.disableHostnameVerification".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkIoPermissionsUseCanonicalPath

    public static String getJdkIoPermissionsUseCanonicalPath()
    Gets the current value from the system properties map for "jdk.io.permissionsUseCanonicalPath".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkJndiLdapObjectFactoriesFilter

    public static String getJdkJndiLdapObjectFactoriesFilter()
    Gets the current value from the system properties map for "jdk.jndi.ldap.object.factoriesFilter".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkJndiObjectFactoriesFilter

    public static String getJdkJndiObjectFactoriesFilter()
    Gets the current value from the system properties map for "jdk.jndi.object.factoriesFilter".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkJndiRmiObjectFactoriesFilter

    public static String getJdkJndiRmiObjectFactoriesFilter()
    Gets the current value from the system properties map for "jdk.jndi.rmi.object.factoriesFilter".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkModuleMain

    public static String getJdkModuleMain()
    Gets the current value from the system properties map for "jdk.module.main".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkModuleMainClass

    public static String getJdkModuleMainClass()
    Gets the current value from the system properties map for "jdk.module.main.class".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkModulePath

    public static String getJdkModulePath()
    Gets the current value from the system properties map for "jdk.module.path".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkModuleUpgradePath

    public static String getJdkModuleUpgradePath()
    Gets the current value from the system properties map for "jdk.module.upgrade.path".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkNetUnixDomainTmpDir

    public static String getJdkNetUnixDomainTmpDir()
    Gets the current value from the system properties map for "jdk.net.unixdomain.tmpdir".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkNetUrlClassPathShowIgnoredClassPathEntries

    public static String getJdkNetUrlClassPathShowIgnoredClassPathEntries()
    Gets the current value from the system properties map for "jdk.net.URLClassPath.showIgnoredClassPathEntries".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkSerialFilter

    public static String getJdkSerialFilter()
    Gets the current value from the system properties map for "jdk.serialFilter".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkSerialFilterFactory

    public static String getJdkSerialFilterFactory()
    Gets the current value from the system properties map for "jdk.serialFilterFactory".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkTlsClientSignatureSchemes

    public static String getJdkTlsClientSignatureSchemes()
    Gets the current value from the system properties map for "jdk.tls.client.SignatureSchemes".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkTlsNamedGroups

    public static String getJdkTlsNamedGroups()
    Gets the current value from the system properties map for "jdk.tls.namedGroups".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkTlsServerSignatureSchemes

    public static String getJdkTlsServerSignatureSchemes()
    Gets the current value from the system properties map for "jdk.tls.server.SignatureSchemes".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkVirtualThreadSchedulerMaxPoolSize

    public static String getJdkVirtualThreadSchedulerMaxPoolSize()
    Gets the current value from the system properties map for "jdk.virtualThreadScheduler.maxPoolSize".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkVirtualThreadSchedulerParallelism

    public static String getJdkVirtualThreadSchedulerParallelism()
    Gets the current value from the system properties map for "jdk.virtualThreadScheduler.parallelism".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlCdataChunkSize

    public static String getJdkXmlCdataChunkSize()
    Gets the current value from the system properties map for "jdk.xml.cdataChunkSize".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlDtdSupport

    public static String getJdkXmlDtdSupport()
    Gets the current value from the system properties map for "jdk.xml.dtd.support".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlElementAttributeLimit

    public static String getJdkXmlElementAttributeLimit()
    Gets the current value from the system properties map for "jdk.xml.elementAttributeLimit".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlEnableExtensionFunctions

    public static String getJdkXmlEnableExtensionFunctions()
    Gets the current value from the system properties map for "jdk.xml.enableExtensionFunctions".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlEntityExpansionLimit

    public static String getJdkXmlEntityExpansionLimit()
    Gets the current value from the system properties map for "jdk.xml.entityExpansionLimit".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlEntityReplacementLimit

    public static String getJdkXmlEntityReplacementLimit()
    Gets the current value from the system properties map for "jdk.xml.entityReplacementLimi_t".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlIsStandalone

    public static String getJdkXmlIsStandalone()
    Gets the current value from the system properties map for "jdk.xml.isStandalone".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlJdkCatalogResolve

    public static String getJdkXmlJdkCatalogResolve()
    Gets the current value from the system properties map for "jdk.xml.jdkcatalog.resolve".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlMaxElementDepth

    public static String getJdkXmlMaxElementDepth()
    Gets the current value from the system properties map for "jdk.xml.maxElementDepth".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlMaxGeneralEntitySizeLimit

    public static String getJdkXmlMaxGeneralEntitySizeLimit()
    Gets the current value from the system properties map for "jdk.xml.maxGeneralEntitySizeLimit".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlMaxOccurLimit

    public static String getJdkXmlMaxOccurLimit()
    Gets the current value from the system properties map for "jdk.xml.maxOccurLimit".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlMaxParameterEntitySizeLimit

    public static String getJdkXmlMaxParameterEntitySizeLimit()
    Gets the current value from the system properties map for "jdk.xml.maxParameterEntitySizeLimit".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlMaxXmlNameLimit

    public static String getJdkXmlMaxXmlNameLimit()
    Gets the current value from the system properties map for "jdk.xml.maxXMLNameLimit".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlOverrideDefaultParser

    public static String getJdkXmlOverrideDefaultParser()
    Gets the current value from the system properties map for "jdk.xml.overrideDefaultParser".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlResetSymbolTable

    public static String getJdkXmlResetSymbolTable()
    Gets the current value from the system properties map for "jdk.xml.resetSymbolTable".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlTotalEntitySizeLimit

    public static String getJdkXmlTotalEntitySizeLimit()
    Gets the current value from the system properties map for "jdk.xml.totalEntitySizeLimit".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getJdkXmlXsltcIsStandalone

    public static String getJdkXmlXsltcIsStandalone()
    Gets the current value from the system properties map for "jdk.xml.xsltcIsStandalone".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getLineSeparator

    public static String getLineSeparator()
    Gets the current value from the system properties map for "line.separator".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getLineSeparator

    public static String getLineSeparator(Supplier<String> defaultIfAbsent)
    Gets the current value from the system properties map for "line.separator".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Parameters:
      `defaultIfAbsent` - get this Supplier when the property is empty or throws SecurityException.
    Returns:
      the current value from the system properties map.
    Since:
      3.15.0

  - ### getLong

    public static long getLong(Class<?> clazz, String key, LongSupplier defaultIfAbsent)
    Gets the current value for the property named `"SimpleClassName.Key"` as a `long`.

    If a `SecurityException` is caught, the return value is `null`.

    Parameters:
      `clazz` - The Class to use for the SimpleClassName.
      `key` - The subkey.
      `defaultIfAbsent` - The default value.
    Returns:
      a long or `defaultIfAbsent`'s value.
    Since:
      3.19.0
    See Also:
      - `Class.getSimpleName()`

  - ### getLong

    public static long getLong(String key, LongSupplier defaultIfAbsent)
    Gets the current value for the property named `key` as a `long`.

    If a `SecurityException` is caught, the return value is `null`.

    Parameters:
      `key` - The key.
      `defaultIfAbsent` - The default value.
    Returns:
      a `long` or `defaultIfAbsent`'s value.

  - ### getNativeEncoding

    public static String getNativeEncoding()
    Gets the current value from the system properties map for "native.encoding".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getNetworkAddressCacheNegativeTtl

    public static String getNetworkAddressCacheNegativeTtl()
    Gets the current value from the system properties map for "networkaddress.cache.negative.ttl".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getNetworkAddressCacheStaleTtl

    public static String getNetworkAddressCacheStaleTtl()
    Gets the current value from the system properties map for "networkaddress.cache.stale.ttl".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getNetworkAddressCacheTtl

    public static String getNetworkAddressCacheTtl()
    Gets the current value from the system properties map for "networkaddress.cache.ttl".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getOrgJcpXmlDsigSecureValidation

    public static String getOrgJcpXmlDsigSecureValidation()
    Gets the current value from the system properties map for "org.jcp.xml.dsig.securevalidation".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getOrgOpenJdkJavaUtilStreamTripwire

    public static String getOrgOpenJdkJavaUtilStreamTripwire()
    Gets the current value from the system properties map for "org.openjdk.java.util.stream.tripwire".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getOsArch

    public static String getOsArch()
    Gets the current value from the system properties map for "os.arch".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getOsName

    public static String getOsName()
    Gets the current value from the system properties map for "os.name".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getOsVersion

    public static String getOsVersion()
    Gets the current value from the system properties map for "os.version".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getPath

    public static Path getPath(String key, Supplier<Path> defaultIfAbsent)
    Gets the current value for the property named `key` as a `Path`.

    If a `SecurityException` is caught, the return value is `null`.

    Parameters:
      `key` - The key.
      `defaultIfAbsent` - The default value.
    Returns:
      a `Path` or `defaultIfAbsent`'s value.
    Since:
      3.20.0

  - ### getPathSeparator

    public static String getPathSeparator()
    Gets the current value from the system properties map for "path.separator".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getProperty

    public static String getProperty(String property)
    Gets a System property, defaulting to `null` if the property cannot be read.

    If a `SecurityException` is caught, the return value is `null`.

    Parameters:
      `property` - The system property name.
    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getSocksProxyHost

    public static String getSocksProxyHost()
    Gets the current value from the system properties map for "socksProxyHost".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getSocksProxyPort

    public static String getSocksProxyPort()
    Gets the current value from the system properties map for "socksProxyPort".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getSocksProxyVersion

    public static String getSocksProxyVersion()
    Gets the current value from the system properties map for "socksProxyVersion".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getStdErrEncoding

    public static String getStdErrEncoding()
    Gets the current value from the system properties map for "stderr.encoding".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getStdOutEncoding

    public static String getStdOutEncoding()
    Gets the current value from the system properties map for "stdout.encoding".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getSunNetHttpServerDrainAmount

    public static String getSunNetHttpServerDrainAmount()
    Gets the current value from the system properties map for "sun.net.httpserver.drainAmount".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getSunNetHttpServerIdleInterval

    public static String getSunNetHttpServerIdleInterval()
    Gets the current value from the system properties map for "sun.net.httpserver.idleInterval".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getSunNetHttpServerMaxIdleConnections

    public static String getSunNetHttpServerMaxIdleConnections()
    Gets the current value from the system properties map for "sun.net.httpserver.maxIdleConnections".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getSunNetHttpServerMaxReqHeaders

    public static String getSunNetHttpServerMaxReqHeaders()
    Gets the current value from the system properties map for "sun.net.httpserver.maxReqHeaders".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getSunNetHttpServerMaxReqTime

    public static String getSunNetHttpServerMaxReqTime()
    Gets the current value from the system properties map for "sun.net.httpserver.maxReqTime".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getSunNetHttpServerMaxRspTime

    public static String getSunNetHttpServerMaxRspTime()
    Gets the current value from the system properties map for "sun.net.httpserver.maxRspTime".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getSunNetHttpServerNoDelay

    public static String getSunNetHttpServerNoDelay()
    Gets the current value from the system properties map for "sun.net.httpserver.nodelay".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getSunSecurityKrb5Principal

    public static String getSunSecurityKrb5Principal()
    Gets the current value from the system properties map for "sun.security.krb5.principal".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getUserCountry

    public static String getUserCountry()
    Gets the current value from the system properties map for "user.country".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getUserDir

    public static String getUserDir()
    Gets the current value from the system properties map for "user.dir".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getUserExtensions

    public static String getUserExtensions()
    Gets the current value from the system properties map for "user.extensions".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getUserHome

    public static String getUserHome()
    Gets the current value from the system properties map for "user.home".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getUserLanguage

    public static String getUserLanguage()
    Gets the current value from the system properties map for "user.language".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getUserName

    public static String getUserName()
    Gets the current value from the system properties map for "user.name".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getUserName

    public static String getUserName(String defaultValue)
    Gets the current value from the system properties map for "user.name".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Parameters:
      `defaultValue` - get this Supplier when the property is empty or throws SecurityException.
    Returns:
      The system property value or `defaultValue` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getUserRegion

    public static String getUserRegion()
    Gets the current value from the system properties map for "user.region".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getUserScript

    public static String getUserScript()
    Gets the current value from the system properties map for "user.script".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### getUserTimezone

    public static String getUserTimezone()
    Gets the current value from the system properties map for "user.timezone".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.

  - ### getUserVariant

    public static String getUserVariant()
    Gets the current value from the system properties map for "user.variant".

    Returns `null` if the property cannot be read due to a `SecurityException`.

    Returns:
      The system property value or `null` if the property is absent or a security problem occurs.
    Since:
      3.15.0

  - ### isPropertySet

    public static boolean isPropertySet(String property)
    Tests whether the given property is set.

    Short-hand for `getProperty(property) != null`.

    If a `SecurityException` is caught, the return value is `false`.

    Parameters:
      `property` - the system property name.
    Returns:
      whether the given property is set.
    Since:
      3.18.0